<?php

// @formatter:off
// phpcs:ignoreFile
/**
 * A helper file for your Eloquent Models
 * Copy the phpDocs from this file to the correct Model,
 * And remove them from this file, to prevent double declarations.
 *
 * @author Barry vd. Heuvel <barryvdh@gmail.com>
 */


namespace App\Models{
/**
 *
 *
 * @property int $id
 * @property int $user_id
 * @property string $name
 * @property string|null $license_no
 * @property string|null $gst_no
 * @property string $address
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \App\Models\Partnership> $partnerships
 * @property-read int|null $partnerships_count
 * @property-read \App\Models\User $user
 * @method static \Database\Factories\AgencyFactory factory($count = null, $state = [])
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Agency filter(?array $params = null)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Agency filterBy(array|string $filters)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Agency filterFields(array|string $fields)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Agency newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Agency newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Agency onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Agency query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Agency renamedFilterFields(array $renamedFilterFields)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Agency restrictedFilters(array|string $restrictedFilters)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Agency whereAddress($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Agency whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Agency whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Agency whereGstNo($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Agency whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Agency whereLicenseNo($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Agency whereName($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Agency whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Agency whereUserId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Agency withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Agency withoutTrashed()
 */
	class Agency extends \Eloquent {}
}

namespace App\Models{
/**
 *
 *
 * @property int $id
 * @property int $user_id
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @property-read \App\Models\User|null $user
 * @method static \Database\Factories\HirerFactory factory($count = null, $state = [])
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Hirer filter(?array $params = null)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Hirer filterBy(array|string $filters)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Hirer filterFields(array|string $fields)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Hirer newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Hirer newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Hirer onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Hirer query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Hirer renamedFilterFields(array $renamedFilterFields)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Hirer restrictedFilters(array|string $restrictedFilters)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Hirer whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Hirer whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Hirer whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Hirer whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Hirer whereUserId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Hirer withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Hirer withoutTrashed()
 */
	class Hirer extends \Eloquent {}
}

namespace App\Models{
/**
 *
 *
 * @property int $id
 * @property int $user_id
 * @property int $worker_type_id
 * @property int $work_hour_id
 * @property string $title
 * @property string $description
 * @property string $location
 * @property string|null $address
 * @property string $type
 * @property bool $status
 * @property string $expiry_date
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \App\Models\User> $applicants
 * @property-read int|null $applicants_count
 * @property-read \App\Models\User $employer
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \App\Models\Rating> $ratings
 * @property-read int|null $ratings_count
 * @property-read \App\Models\WorkHour $workHour
 * @property-read \App\Models\WorkType $workerType
 * @method static \Database\Factories\JobFactory factory($count = null, $state = [])
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Job filter(?array $params = null)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Job filterBy(array|string $filters)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Job filterFields(array|string $fields)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Job newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Job newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Job onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Job query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Job renamedFilterFields(array $renamedFilterFields)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Job restrictedFilters(array|string $restrictedFilters)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Job whereAddress($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Job whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Job whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Job whereDescription($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Job whereExpiryDate($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Job whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Job whereLocation($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Job whereStatus($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Job whereTitle($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Job whereType($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Job whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Job whereUserId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Job whereWorkHourId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Job whereWorkerTypeId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Job withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Job withoutTrashed()
 */
	class Job extends \Eloquent {}
}

namespace App\Models{
/**
 *
 *
 * @property int $id
 * @property string $name
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @method static \Database\Factories\LanguageFactory factory($count = null, $state = [])
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Language filter(?array $params = null)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Language filterBy(array|string $filters)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Language filterFields(array|string $fields)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Language newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Language newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Language query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Language renamedFilterFields(array $renamedFilterFields)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Language restrictedFilters(array|string $restrictedFilters)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Language whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Language whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Language whereName($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Language whereUpdatedAt($value)
 */
	class Language extends \Eloquent {}
}

namespace App\Models{
/**
 *
 *
 * @property int $id
 * @property int $agency_id
 * @property string $start_date
 * @property string|null $end_date
 * @property bool $is_active
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @property-read \App\Models\Agency $agency
 * @method static \Database\Factories\PartnershipFactory factory($count = null, $state = [])
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Partnership filter(?array $params = null)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Partnership filterBy(array|string $filters)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Partnership filterFields(array|string $fields)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Partnership newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Partnership newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Partnership onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Partnership query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Partnership renamedFilterFields(array $renamedFilterFields)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Partnership restrictedFilters(array|string $restrictedFilters)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Partnership whereAgencyId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Partnership whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Partnership whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Partnership whereEndDate($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Partnership whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Partnership whereIsActive($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Partnership whereStartDate($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Partnership whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Partnership withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Partnership withoutTrashed()
 */
	class Partnership extends \Eloquent {}
}

namespace App\Models{
/**
 *
 *
 * @property int $id
 * @property int $rated_by_id
 * @property int $rated_to_id
 * @property int|null $job_id
 * @property string $value
 * @property string|null $description
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @property-read \App\Models\Job|null $job
 * @property-read \App\Models\User $ratedBy
 * @property-read \App\Models\User $ratedTo
 * @method static \Database\Factories\RatingFactory factory($count = null, $state = [])
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Rating filter(?array $params = null)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Rating filterBy(array|string $filters)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Rating filterFields(array|string $fields)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Rating newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Rating newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Rating onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Rating query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Rating renamedFilterFields(array $renamedFilterFields)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Rating restrictedFilters(array|string $restrictedFilters)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Rating whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Rating whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Rating whereDescription($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Rating whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Rating whereJobId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Rating whereRatedById($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Rating whereRatedToId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Rating whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Rating whereValue($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Rating withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Rating withoutTrashed()
 */
	class Rating extends \Eloquent {}
}

namespace App\Models{
/**
 *
 *
 * @property int $id
 * @property string $name
 * @property string $description
 * @property string $fees
 * @property string $timeline
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \App\Models\User> $users
 * @property-read int|null $users_count
 * @method static \Database\Factories\ServiceFactory factory($count = null, $state = [])
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Service filter(?array $params = null)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Service filterBy(array|string $filters)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Service filterFields(array|string $fields)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Service newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Service newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Service onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Service query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Service renamedFilterFields(array $renamedFilterFields)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Service restrictedFilters(array|string $restrictedFilters)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Service whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Service whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Service whereDescription($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Service whereFees($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Service whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Service whereName($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Service whereTimeline($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Service whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Service withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Service withoutTrashed()
 */
	class Service extends \Eloquent {}
}

namespace App\Models{
/**
 *
 *
 * @property int $id
 * @property string $name
 * @property string $description
 * @property string|null $icon
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \App\Models\WorkType> $workerTypes
 * @property-read int|null $worker_types_count
 * @method static \Database\Factories\SkillFactory factory($count = null, $state = [])
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Skill filter(?array $params = null)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Skill filterBy(array|string $filters)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Skill filterFields(array|string $fields)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Skill newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Skill newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Skill query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Skill renamedFilterFields(array $renamedFilterFields)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Skill restrictedFilters(array|string $restrictedFilters)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Skill whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Skill whereDescription($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Skill whereIcon($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Skill whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Skill whereName($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Skill whereUpdatedAt($value)
 */
	class Skill extends \Eloquent {}
}

namespace App\Models{
/**
 *
 *
 * @property int $id
 * @property string $name
 * @property string $email
 * @property string $mobile_no
 * @property \Illuminate\Support\Carbon|null $email_verified_at
 * @property string $password
 * @property string $gender
 * @property string $role
 * @property string|null $last_login_at
 * @property string|null $profile_picture
 * @property string|null $remember_token
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @property-read \App\Models\Agency|null $agency
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \App\Models\Job> $appliedJobs
 * @property-read int|null $applied_jobs_count
 * @property-read \App\Models\Hirer|null $hirer
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \App\Models\Job> $jobs
 * @property-read int|null $jobs_count
 * @property-read \Illuminate\Notifications\DatabaseNotificationCollection<int, \Illuminate\Notifications\DatabaseNotification> $notifications
 * @property-read int|null $notifications_count
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \App\Models\Service> $services
 * @property-read int|null $services_count
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \Laravel\Sanctum\PersonalAccessToken> $tokens
 * @property-read int|null $tokens_count
 * @property-read \App\Models\Worker|null $worker
 * @method static \Database\Factories\UserFactory factory($count = null, $state = [])
 * @method static \Illuminate\Database\Eloquent\Builder<static>|User filter(?array $params = null)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|User filterBy(array|string $filters)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|User filterFields(array|string $fields)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|User newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|User newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|User onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|User query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|User renamedFilterFields(array $renamedFilterFields)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|User restrictedFilters(array|string $restrictedFilters)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|User whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|User whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|User whereEmail($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|User whereEmailVerifiedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|User whereGender($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|User whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|User whereLastLoginAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|User whereMobileNo($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|User whereName($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|User wherePassword($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|User whereProfilePicture($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|User whereRememberToken($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|User whereRole($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|User whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|User withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|User withoutTrashed()
 */
	class User extends \Eloquent {}
}

namespace App\Models{
/**
 *
 *
 * @property int $id
 * @property string $name
 * @property int $hours
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @method static \Database\Factories\WorkHourFactory factory($count = null, $state = [])
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WorkHour filter(?array $params = null)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WorkHour filterBy(array|string $filters)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WorkHour filterFields(array|string $fields)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WorkHour newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WorkHour newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WorkHour query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WorkHour renamedFilterFields(array $renamedFilterFields)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WorkHour restrictedFilters(array|string $restrictedFilters)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WorkHour whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WorkHour whereHours($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WorkHour whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WorkHour whereName($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WorkHour whereUpdatedAt($value)
 */
	class WorkHour extends \Eloquent {}
}

namespace App\Models{
/**
 *
 *
 * @property int $id
 * @property int $user_id
 * @property int $worker_type_id
 * @property int|null $agency_id
 * @property int|null $age
 * @property string|null $address
 * @property string|null $country
 * @property string|null $city
 * @property int $pincode
 * @property string|null $reporting_location
 * @property string $experience
 * @property int $credits
 * @property bool $is_visible
 * @property string $religion
 * @property string $marital_status
 * @property string $cook_type
 * @property string|null $aadhar_front
 * @property string|null $aadhar_back
 * @property string|null $pan_card
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @property-read \App\Models\Agency|null $agency
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \App\Models\Language> $languages
 * @property-read int|null $languages_count
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \App\Models\Skill> $skills
 * @property-read int|null $skills_count
 * @property-read \App\Models\User $user
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \App\Models\WorkHour> $workHours
 * @property-read int|null $work_hours_count
 * @property-read \App\Models\WorkType $workerType
 * @method static \Database\Factories\WorkerFactory factory($count = null, $state = [])
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Worker filter(?array $params = null)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Worker filterBy(array|string $filters)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Worker filterFields(array|string $fields)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Worker newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Worker newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Worker onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Worker query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Worker renamedFilterFields(array $renamedFilterFields)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Worker restrictedFilters(array|string $restrictedFilters)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Worker whereAadharBack($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Worker whereAadharFront($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Worker whereAddress($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Worker whereAge($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Worker whereAgencyId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Worker whereCity($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Worker whereCookType($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Worker whereCountry($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Worker whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Worker whereCredits($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Worker whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Worker whereExperience($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Worker whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Worker whereIsVisible($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Worker whereMaritalStatus($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Worker wherePanCard($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Worker wherePincode($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Worker whereReligion($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Worker whereReportingLocation($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Worker whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Worker whereUserId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Worker whereWorkerTypeId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Worker withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Worker withoutTrashed()
 */
	class Worker extends \Eloquent {}
}

namespace App\Models{
/**
 *
 *
 * @property int $id
 * @property string $name
 * @property string $description
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \App\Models\Skill> $skills
 * @property-read int|null $skills_count
 * @method static \Database\Factories\WorkTypeFactory factory($count = null, $state = [])
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WorkType filter(?array $params = null)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WorkType filterBy(array|string $filters)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WorkType filterFields(array|string $fields)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WorkType newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WorkType newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WorkType query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WorkType renamedFilterFields(array $renamedFilterFields)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WorkType restrictedFilters(array|string $restrictedFilters)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WorkType whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WorkType whereDescription($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WorkType whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WorkType whereName($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WorkType whereUpdatedAt($value)
 */
	class WorkerType extends \Eloquent {}
}

