<?php

namespace App\Actions\User;

use App\Enums\UserRole;
use App\Http\Requests\UserRequest;
use App\Models\User;

class CreateUser extends BaseAction
{
    public function hirer(UserRequest $request): User {
        return $this->handle($request, UserRole::HIRER);
    }

    public function handle(UserRequest $request, UserRole $role, $agencyId = null): User {
        $data = $request->validated();
        $data['role'] = $role;
        $data['agency_id'] = $agencyId;

        $user = new User($data);
        $this->storeFiles($request, $user);
        $user->save();

        return $user;
    }

    public function agency(UserRequest $request, int $agencyId): User {
        return $this->handle($request, UserRole::AGENCY, $agencyId);
    }

    public function worker(UserRequest $request): User {
        return $this->handle($request, UserRole::WORKER);
    }
}
