<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class AgencyRequest extends FormRequest
{
    public function authorize(): bool {
        return true;
    }

    public function rules(): array {
        $rules = [
            'agency_name' => ['required', 'string', 'max:254'],
            'license_no' => ['sometimes', 'string', 'max:20'],
            'gst_no' => ['sometimes', 'string', 'max:20'],
            'address' => ['required'],
        ];

        if ($this->routeIs('agencies.update')) {
            $rules['agency_name'][0] = 'sometimes';
            $rules['address'][0] = 'sometimes';
        }

        return $rules;
    }

    // override the validated method to map 'agency_name' to 'name'
    public function validated($key = null, $default = null) {
        $data = parent::validated($key, $default);

        if (isset($data['agency_name'])) {
            $data['name'] = $data['agency_name'];
            unset($data['agency_name']);
        }

        return $data;
    }

}
