<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class HiringRequest extends FormRequest
{
    public function rules(): array {
        $rules = [
            'user_id' => ['required', 'exists:users,id'],
            'worker_id' => ['required', 'exists:workers,id'],

            'hired_date' => ['nullable', 'date'],
            'is_unlocked' => ['sometimes', 'boolean'],
            'is_shortlisted' => ['sometimes', 'boolean'],
        ];

        if ($this->routeIs("")) {
            $rules['user_id'][0] = 'sometimes';
            $rules['worker_id'][0] = 'sometimes';
        }

        return $rules;
    }

    public function authorize(): bool {
        return true;
    }
}
