<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class PartnershipRequest extends FormRequest
{
    public function rules(): array {
        $rules = [
            'agency_id' => ['required', 'exists:agencies,id'],

            'start_date' => ['required', 'date'],
            'end_date' => ['nullable', 'date'],
            'is_active' => ['required', 'boolean'],
        ];

        if ($this->routeIs("partnerships.update")) {
            $rules["agency_id"][0] = "sometimes";
            $rules["start_date"][0] = "sometimes";
            $rules["is_active"][0] = "sometimes";
        }

        return $rules;
    }

    public function authorize(): bool {
        return true;
    }
}
