<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class RatingRequest extends FormRequest
{
    public function rules(): array {
        $rules = [
            'rated_by_id' => ['required', 'exists:users,id'],
            'rated_to_id' => ['required', 'exists:users,id'],
            'job_id' => ['nullable', 'exists:jobs,id'],

            'value' => ['required', 'numeric', 'between:0, 5.0'],
            'description' => ['required', 'string', 'max:255'],
        ];

        if ($this->routeIs("ratings.update")) {
            $rules["rated_by_id"][0] = 'sometimes';
            $rules["rated_to_id"][0] = 'sometimes';

            $rules["value"][0] = 'sometimes';
            $rules["description"][0] = 'sometimes';
        }

        return $rules;
    }

    public function authorize(): bool {
        return true;
    }
}
