<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class ServiceRequest extends FormRequest
{
    public function rules(): array {
        $rules = [
            'name' => ['required', 'string'],
            'description' => ['required', 'string'],
            'fees' => ['required', 'numeric', 'between:0,99999999.99'],
            'timeline' => ['required', 'regex:/^\d{1,3}:[0-5][0-9]:[0-5][0-9]$/'],
            'is_active' => ['required', 'boolean'],
        ];

        if ($this->routeIs("services.update")) {
            $rules['name'][0] = 'sometimes';
            $rules['description'][0] = 'sometimes';
            $rules['fees'][0] = 'sometimes';
            $rules['timeline'][0] = 'sometimes';
            $rules['is_active'][0] = 'sometimes';
        }

        return $rules;
    }

    public function authorize(): bool {
        return true;
    }
}
