<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class SkillRequest extends FormRequest
{
    public function rules(): array {
        $rules = [
            'name' => ['required', 'string', 'max:100'],
            'description' => ['required', 'string'],
            'icon' => $this->hasFile('icon')
                ? ['file', 'mimes:jpg,jpeg,png,svg,gif', 'max:2048']
                : ['nullable', 'string'],
        ];

        if ($this->routeIs("skills.update")) {
            $rules["name"][0] = "sometimes";
            $rules["description"][0] = "sometimes";
        }

        return $rules;
    }

    public function authorize(): bool {
        return true;
    }
}
