<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class WorkHourRequest extends FormRequest
{
    public function rules(): array {
        $rules = [
            'name' => ['required', 'string', 'max:100'],
            'hours' => ['required', 'numeric', 'between:2,48'],
        ];

        if ($this->routeIs("work-hours.update")) {
            $rules["name"][0] = "sometimes";
            $rules["hours"][0] = "sometimes";
        }

        return $rules;
    }

    public function authorize(): bool {
        return true;
    }
}
