<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class WorkTypeRequest extends FormRequest
{
    public function rules(): array {
        $rules = [
            'name' => ['required', 'string', 'max:100'],
            'description' => ['required', 'string'],

            'skills' => ['sometimes', 'array'],
            'skills.*' => ['required', 'exists:skills,id']
        ];

        if ($this->routeIs("work-types.update")) {
            $rules["name"][0] = "sometimes";
            $rules["description"][0] = "sometimes";
        }

        return $rules;
    }

    public function authorize(): bool {
        return true;
    }
}
