<?php

namespace App\Http\Resources;

use App\Models\Agency;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin Agency */
class AgencyResource extends JsonResource
{
    public function toArray(Request $request): array {
        return [
            'id' => $this->id,

            'name' => $this->name,
            'license_no' => $this->license_no,
            'gst_no' => $this->gst_no,
            'address' => $this->address,

            // relations
            'users' => UserResource::collection($this->whenLoaded("users")),
            'partnerships' => PartnershipResource::collection($this->whenLoaded('partnerships')),

            // timestamps
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
        ];
    }
}
