<?php

namespace App\Http\Resources;

use App\Models\Hirer;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin Hirer */
class HirerResource extends JsonResource
{
    public function toArray(Request $request): array {
        return [
            'id' => $this->id,

            'user_id' => $this->user_id,

            // relations
            'user' => new UserResource($this->whenLoaded('user')),

            // timestamps
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
        ];
    }
}
