<?php

namespace App\Http\Resources;

use App\Models\Hiring;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin Hiring */
class HiringResource extends JsonResource
{
    public function toArray(Request $request): array {
        return [
            'id' => $this->id,

            'user_id' => $this->user_id,
            'worker_id' => $this->worker_id,

            'hired_date' => $this->hired_date,
            'is_unlocked' => $this->is_unlocked,
            'is_shortlisted' => $this->is_shortlisted,

            // relations
            'user' => new UserResource($this->whenLoaded("user")),
            'worker' => new WorkerResource($this->whenLoaded('worker')),

            // timestamps
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
        ];
    }
}
