<?php

namespace App\Http\Resources;

use App\Models\Language;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin Language */
class LanguageResource extends JsonResource
{
    public function toArray(Request $request): array {
        return [
            'id' => $this->id,

            'name' => $this->name,

            // relation pivot fields
            'can_read' => $this->whenPivotLoaded('language_worker', fn() => $this->pivot->can_read),
            'can_write' => $this->whenPivotLoaded('language_worker', fn() => $this->pivot->can_write),
            'can_speak' => $this->whenPivotLoaded('language_worker', fn() => $this->pivot->can_speak),

            // timestamps
            // 'created_at' => $this->created_at,
            // 'updated_at' => $this->updated_at,
        ];
    }
}
