<?php

namespace App\Http\Resources;

use App\Models\Partnership;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin Partnership */
class PartnershipResource extends JsonResource
{
    public function toArray(Request $request): array {
        return [
            'id' => $this->id,

            'agency_id' => $this->agency_id,

            'start_date' => $this->start_date,
            'end_date' => $this->end_date,
            'is_active' => $this->is_active,

            // relations
            'agency' => new AgencyResource($this->whenLoaded('agency')),

            // timestamps
            // 'created_at' => $this->created_at,
            // 'updated_at' => $this->updated_at,
        ];
    }
}
