<?php

namespace App\Http\Resources;

use App\Models\Rating;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin Rating */
class RatingResource extends JsonResource
{
    public function toArray(Request $request): array {
        return [
            'id' => $this->id,

            'rated_by_id' => $this->rated_by_id,
            'rated_to_id' => $this->rated_to_id,
            'job_id' => $this->job_id,

            'value' => $this->value,
            'description' => $this->description,

            // relations
            'job' => new JobResource($this->whenLoaded('job')),
            'rated_by' => new UserResource($this->whenLoaded('ratedBy')),
            'rated_to' => new UserResource($this->whenLoaded('ratedTo')),

            // timestamps
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
        ];
    }
}
