<?php

namespace App\Http\Resources;

use App\Models\WorkType;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin WorkType */
class WorkTypeResource extends JsonResource
{
    public function toArray(Request $request): array {
        return [
            'id' => $this->id,

            'name' => $this->name,
            'description' => $this->description,

            // relations
            'skills' => SkillResource::collection($this->whenLoaded("skills")),

            // timestamps
            // 'created_at' => $this->created_at,
            // 'updated_at' => $this->updated_at,
        ];
    }
}
