<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use Dyrynda\Database\Support\CascadeSoftDeletes;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Illuminate\Database\Eloquent\SoftDeletes;

class Agency extends Model
{
    use SoftDeletes, HasFactory, Filterable, CascadeSoftDeletes;

    public $filterFields = [
        'name',

        // relations
        'partnerships',
        'users'
    ];
    protected $fillable = [
        'name',
        'license_no',
        'gst_no',
        'address',
    ];
    protected array $cascadeDeletes = ['users', 'partnerships'];

    public function users(): HasMany {
        return $this->hasMany(User::class);
    }

    public function partnerships(): HasMany {
        return $this->hasMany(Partnership::class);
    }
}
