<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class Hiring extends Model
{
    use HasFactory, Filterable;

    public $filterFields = [
        "user_id",
        "worker_id",

        "hired_date",
        "is_unlocked",
        "is_shortlisted",

        // relations
        "user",
        "worker",
    ];
    protected $table = 'user_worker';

    protected $fillable = [
        'user_id',
        'worker_id',

        'hired_date',
        'is_unlocked',
        'is_shortlisted',
    ];

    public function user(): BelongsTo {
        return $this->belongsTo(User::class);
    }

    public function worker(): BelongsTo {
        return $this->belongsTo(Worker::class);
    }

    protected function casts(): array {
        return [
            'is_unlocked' => 'boolean',
            'is_shortlisted' => 'boolean',
        ];
    }
}
