<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class Partnership extends Model
{
    use SoftDeletes, HasFactory, Filterable;

    public $filterFields = [
        'agency_id',
        'start_date',
        'end_date',
        'is_active'
    ];
    protected $fillable = [
        'agency_id',

        'start_date',
        'end_date',
        'is_active',
    ];

    public function agency(): BelongsTo {
        return $this->belongsTo(Agency::class);
    }

    protected function casts(): array {
        return [
            'is_active' => 'boolean',
        ];
    }
}
