<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class Rating extends Model
{
    use SoftDeletes, HasFactory, Filterable;

    protected $fillable = [
        'rated_by_id',
        'rated_to_id',
        'job_id',

        'value',
        'description',
    ];

    public function ratedBy(): BelongsTo {
        return $this->belongsTo(User::class, 'rated_by_id');
    }

    public function ratedTo(): BelongsTo {
        return $this->belongsTo(User::class, 'rated_to_id');
    }

    public function job(): BelongsTo {
        return $this->belongsTo(Job::class);
    }
}
