<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use Dyrynda\Database\Support\CascadeSoftDeletes;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsToMany;
use Illuminate\Database\Eloquent\SoftDeletes;

class Service extends Model
{
    use SoftDeletes, HasFactory, Filterable, CascadeSoftDeletes;

    protected $fillable = [
        'name',
        'description',
        'fees',
        'timeline',
        'is_active',
    ];

    protected array $cascadeDeletes = ["users"];
    protected $casts = [
        "is_active" => "boolean",
    ];

    public function users(): BelongsToMany {
        return $this->belongsToMany(User::class, 'service_user')
            ->withPivot(["application_date", "status", "is_paid"]);
    }
}
