<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsToMany;

class Skill extends Model
{
    use HasFactory, Filterable;

    public $filterFields = [
        'id',
        "name"
    ];

    protected $fillable = [
        'name',
        'description',
        'icon',
    ];

    public function workTypes(): BelongsToMany {
        return $this->belongsToMany(WorkType::class, "skill_work_type");
    }
}
