<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsToMany;

class WorkType extends Model
{
    use HasFactory, Filterable;

    public $filterFields = [
        'id',
        'name'
    ];
    protected $fillable = [
        'name',
        'description',
    ];

    public function skills(): BelongsToMany {
        return $this->belongsToMany(Skill::class, 'skill_work_type');
    }
}
