<?php

namespace App\Providers;

use App\Enums\UserRole;
use App\Models\User;
use Illuminate\Support\Facades\Gate;
use Illuminate\Support\ServiceProvider;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     */
    public function register(): void {
        //
    }

    /**
     * Bootstrap any application services.
     */
    public function boot(): void {
        Gate::define("apply-job", function (User $user) {
            return $user->role === UserRole::WORKER;
        });

        Gate::define('apply-service', function (User $user) {
            return in_array($user->role, [UserRole::WORKER, UserRole::ADMIN]);
        });
    }
}
