<?php

namespace Database\Factories;

use App\Enums\CookType;
use App\Enums\MaritalStatus;
use App\Enums\Religion;
use App\Models\Worker;
use Illuminate\Database\Eloquent\Factories\Factory;

class WorkerFactory extends Factory
{
    protected $model = Worker::class;

    public function definition(): array {
        return [
            'age' => $this->faker->numberBetween(18, 60),
            'experience' => $this->faker->numberBetween(0, 20),
            'address' => $this->faker->address(),
            'country' => $this->faker->country(),
            'city' => $this->faker->city(),
            'pincode' => $this->faker->randomNumber(),
            'reporting_location' => $this->faker->word(),
            'credits' => $this->faker->randomNumber(),
            'is_visible' => $this->faker->boolean(),
            'religion' => $this->faker->randomElement(array_column(Religion::cases(), "value")),
            'marital_status' => $this->faker->randomElement(array_column(MaritalStatus::cases(), "value")),
            'cook_type' => $this->faker->randomElement(array_column(CookType::cases(), "value")),
        ];
    }
}
