<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up() {
        Schema::create('partnerships', function (Blueprint $table) {
            $table->id();

            $table->foreignId('agency_id')->constrained("agencies");

            $table->date('start_date');
            $table->date('end_date')->nullable();
            $table->boolean('is_active')->default(false);

            $table->timestamps();
            $table->softDeletes();
        });
    }

    public function down() {
        Schema::dropIfExists('partnerships');
    }
};
