<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up() {
        Schema::create('work_types', function (Blueprint $table) {
            $table->id();

            $table->string('name', 100);
            $table->text('description');

            $table->timestamps();
        });

        Schema::create('skill_work_type', function (Blueprint $table) {
            $table->id();

            $table->foreignId("skill_id")->constrained("skills")
                ->cascadeOnDelete();
            $table->foreignId("work_type_id")->constrained("work_types")
                ->cascadeOnDelete();

            $table->unique(['skill_id', 'work_type_id']);
        });
    }

    public function down() {
        Schema::dropIfExists('skill_work_type');
        Schema::dropIfExists('work_types');
    }
};
