<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up() {
        Schema::create('services', function (Blueprint $table) {
            $table->id();

            $table->string('name', 100);
            $table->text('description');
            $table->decimal('fees', 10);
            $table->time('timeline');
            $table->boolean("is_active")->default(false);

            $table->timestamps();
            $table->softDeletes();
        });

        Schema::create('service_user', function (Blueprint $table) {
            $table->id();

            $table->foreignId('service_id')->constrained("services")
                ->cascadeOnDelete();
            $table->foreignId('user_id')->constrained("users")
                ->cascadeOnDelete();

            $table->date('application_date');
            $table->string('status', 50)->nullable();
            $table->boolean('is_paid')->default(false);

            $table->timestamps();
            $table->softDeletes();
        });
    }

    public function down() {
        Schema::dropIfExists('service_user');
        Schema::dropIfExists('services');
    }
};
