<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up() {
        Schema::create('ratings', function (Blueprint $table) {
            $table->id();

            $table->foreignId('rated_by_id')->constrained('users')
                ->cascadeOnDelete();
            $table->foreignId('rated_to_id')->constrained('users')
                ->cascadeOnDelete();
            $table->foreignId('job_id')->nullable()->constrained('jobs')
                ->cascadeOnDelete();

            $table->decimal('value', 2, 1);
            // $table->timestamp('rated_at');
            $table->string('description')->nullable();

            $table->timestamps();
            $table->softDeletes();
        });
    }

    public function down() {
        Schema::dropIfExists('ratings');
    }
};
