<?php //5963940cedfbdeb5f685cac6c5a72e87
/** @noinspection all */

namespace LaravelIdea\Helper\App\Models {

    use App\Models\Agency;
    use App\Models\Hirer;
    use App\Models\Hiring;
    use App\Models\Job;
    use App\Models\Language;
    use App\Models\Partnership;
    use App\Models\Rating;
    use App\Models\Service;
    use App\Models\Skill;
    use App\Models\User;
    use App\Models\Worker;
    use App\Models\WorkHour;
    use App\Models\WorkType;
    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    
    /**
     * @method Agency|null getOrPut($key, \Closure $value)
     * @method Agency|$this shift(int $count = 1)
     * @method Agency|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Agency|$this pop(int $count = 1)
     * @method Agency|null pull($key, \Closure $default = null)
     * @method Agency|null last(callable|null $callback = null, \Closure $default = null)
     * @method Agency|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Agency|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Agency|null get($key, \Closure $default = null)
     * @method Agency|null first(callable|null $callback = null, \Closure $default = null)
     * @method Agency|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Agency|null find($key, $default = null)
     * @method Agency[] all()
     */
    class _IH_Agency_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Agency[][]|Collection<_IH_Agency_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Agency_QB whereId($value)
     * @method _IH_Agency_QB whereName($value)
     * @method _IH_Agency_QB whereLicenseNo($value)
     * @method _IH_Agency_QB whereGstNo($value)
     * @method _IH_Agency_QB whereAddress($value)
     * @method _IH_Agency_QB whereCreatedAt($value)
     * @method _IH_Agency_QB whereUpdatedAt($value)
     * @method _IH_Agency_QB whereDeletedAt($value)
     * @method Agency create(array $attributes = [])
     * @method Agency createOrFirst(array $attributes = [], array $values = [])
     * @method Agency createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_Agency_C|Agency[] cursor()
     * @method Agency[] eagerLoadRelations(array $models)
     * @method Agency|null|_IH_Agency_C|Agency[] find($id, array|string $columns = ['*'])
     * @method _IH_Agency_C|Agency[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Agency|_IH_Agency_C|Agency[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Agency|_IH_Agency_C|Agency[] findOrFail($id, array|string $columns = ['*'])
     * @method Agency|_IH_Agency_C|Agency[] findOrNew($id, array|string $columns = ['*'])
     * @method Agency first(array|string $columns = ['*'])
     * @method Agency firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Agency firstOrCreate(array $attributes = [], array $values = [])
     * @method Agency firstOrFail(array|string $columns = ['*'])
     * @method Agency firstOrNew(array $attributes = [], array $values = [])
     * @method Agency firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Agency forceCreate(array $attributes)
     * @method Agency forceCreateQuietly(array $attributes = [])
     * @method _IH_Agency_C|Agency[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Agency_C|Agency[] get(array|string $columns = ['*'])
     * @method Agency getModel()
     * @method Agency[] getModels(array|string $columns = ['*'])
     * @method _IH_Agency_C|Agency[] hydrate(array $items)
     * @method _IH_Agency_C|Agency[] lazy(int $chunkSize = 1000)
     * @method _IH_Agency_C|Agency[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Agency_C|Agency[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Agency make(array $attributes = [])
     * @method Agency newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Agency[]|_IH_Agency_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method Agency restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Agency[]|_IH_Agency_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Agency sole(array|string $columns = ['*'])
     * @method Agency updateOrCreate(array $attributes, array $values = [])
     * @method _IH_Agency_QB filter(array|null $params = null)
     * @method _IH_Agency_QB filterBy(array|string $filters)
     * @method _IH_Agency_QB filterFields(array|string $fields)
     * @method _IH_Agency_QB renamedFilterFields(array $renamedFilterFields)
     * @method _IH_Agency_QB restrictedFilters(array|string $restrictedFilters)
     */
    class _IH_Agency_QB extends _BaseBuilder {}
    
    /**
     * @method Hirer|null getOrPut($key, \Closure $value)
     * @method Hirer|$this shift(int $count = 1)
     * @method Hirer|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Hirer|$this pop(int $count = 1)
     * @method Hirer|null pull($key, \Closure $default = null)
     * @method Hirer|null last(callable|null $callback = null, \Closure $default = null)
     * @method Hirer|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Hirer|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Hirer|null get($key, \Closure $default = null)
     * @method Hirer|null first(callable|null $callback = null, \Closure $default = null)
     * @method Hirer|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Hirer|null find($key, $default = null)
     * @method Hirer[] all()
     */
    class _IH_Hirer_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Hirer[][]|Collection<_IH_Hirer_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Hirer_QB whereId($value)
     * @method _IH_Hirer_QB whereUserId($value)
     * @method _IH_Hirer_QB whereCreatedAt($value)
     * @method _IH_Hirer_QB whereUpdatedAt($value)
     * @method _IH_Hirer_QB whereDeletedAt($value)
     * @method Hirer create(array $attributes = [])
     * @method Hirer createOrFirst(array $attributes = [], array $values = [])
     * @method Hirer createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_Hirer_C|Hirer[] cursor()
     * @method Hirer[] eagerLoadRelations(array $models)
     * @method Hirer|null|_IH_Hirer_C|Hirer[] find($id, array|string $columns = ['*'])
     * @method _IH_Hirer_C|Hirer[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Hirer|_IH_Hirer_C|Hirer[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Hirer|_IH_Hirer_C|Hirer[] findOrFail($id, array|string $columns = ['*'])
     * @method Hirer|_IH_Hirer_C|Hirer[] findOrNew($id, array|string $columns = ['*'])
     * @method Hirer first(array|string $columns = ['*'])
     * @method Hirer firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Hirer firstOrCreate(array $attributes = [], array $values = [])
     * @method Hirer firstOrFail(array|string $columns = ['*'])
     * @method Hirer firstOrNew(array $attributes = [], array $values = [])
     * @method Hirer firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Hirer forceCreate(array $attributes)
     * @method Hirer forceCreateQuietly(array $attributes = [])
     * @method _IH_Hirer_C|Hirer[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Hirer_C|Hirer[] get(array|string $columns = ['*'])
     * @method Hirer getModel()
     * @method Hirer[] getModels(array|string $columns = ['*'])
     * @method _IH_Hirer_C|Hirer[] hydrate(array $items)
     * @method _IH_Hirer_C|Hirer[] lazy(int $chunkSize = 1000)
     * @method _IH_Hirer_C|Hirer[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Hirer_C|Hirer[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Hirer make(array $attributes = [])
     * @method Hirer newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Hirer[]|_IH_Hirer_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method Hirer restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Hirer[]|_IH_Hirer_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Hirer sole(array|string $columns = ['*'])
     * @method Hirer updateOrCreate(array $attributes, array $values = [])
     * @method _IH_Hirer_QB filter(array|null $params = null)
     * @method _IH_Hirer_QB filterBy(array|string $filters)
     * @method _IH_Hirer_QB filterFields(array|string $fields)
     * @method _IH_Hirer_QB renamedFilterFields(array $renamedFilterFields)
     * @method _IH_Hirer_QB restrictedFilters(array|string $restrictedFilters)
     */
    class _IH_Hirer_QB extends _BaseBuilder {}
    
    /**
     * @method Hiring|null getOrPut($key, \Closure $value)
     * @method Hiring|$this shift(int $count = 1)
     * @method Hiring|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Hiring|$this pop(int $count = 1)
     * @method Hiring|null pull($key, \Closure $default = null)
     * @method Hiring|null last(callable|null $callback = null, \Closure $default = null)
     * @method Hiring|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Hiring|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Hiring|null get($key, \Closure $default = null)
     * @method Hiring|null first(callable|null $callback = null, \Closure $default = null)
     * @method Hiring|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Hiring|null find($key, $default = null)
     * @method Hiring[] all()
     */
    class _IH_Hiring_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Hiring[][]|Collection<_IH_Hiring_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Hiring_QB whereId($value)
     * @method _IH_Hiring_QB whereUserId($value)
     * @method _IH_Hiring_QB whereWorkerId($value)
     * @method _IH_Hiring_QB whereHiredDate($value)
     * @method _IH_Hiring_QB whereIsUnlocked($value)
     * @method _IH_Hiring_QB whereIsShortlisted($value)
     * @method _IH_Hiring_QB whereCreatedAt($value)
     * @method _IH_Hiring_QB whereUpdatedAt($value)
     * @method Hiring create(array $attributes = [])
     * @method Hiring createOrFirst(array $attributes = [], array $values = [])
     * @method Hiring createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_Hiring_C|Hiring[] cursor()
     * @method Hiring[] eagerLoadRelations(array $models)
     * @method Hiring|null|_IH_Hiring_C|Hiring[] find($id, array|string $columns = ['*'])
     * @method _IH_Hiring_C|Hiring[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Hiring|_IH_Hiring_C|Hiring[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Hiring|_IH_Hiring_C|Hiring[] findOrFail($id, array|string $columns = ['*'])
     * @method Hiring|_IH_Hiring_C|Hiring[] findOrNew($id, array|string $columns = ['*'])
     * @method Hiring first(array|string $columns = ['*'])
     * @method Hiring firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Hiring firstOrCreate(array $attributes = [], array $values = [])
     * @method Hiring firstOrFail(array|string $columns = ['*'])
     * @method Hiring firstOrNew(array $attributes = [], array $values = [])
     * @method Hiring firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Hiring forceCreate(array $attributes)
     * @method Hiring forceCreateQuietly(array $attributes = [])
     * @method _IH_Hiring_C|Hiring[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Hiring_C|Hiring[] get(array|string $columns = ['*'])
     * @method Hiring getModel()
     * @method Hiring[] getModels(array|string $columns = ['*'])
     * @method _IH_Hiring_C|Hiring[] hydrate(array $items)
     * @method _IH_Hiring_C|Hiring[] lazy(int $chunkSize = 1000)
     * @method _IH_Hiring_C|Hiring[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Hiring_C|Hiring[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Hiring make(array $attributes = [])
     * @method Hiring newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Hiring[]|_IH_Hiring_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method Hiring restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Hiring[]|_IH_Hiring_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Hiring sole(array|string $columns = ['*'])
     * @method Hiring updateOrCreate(array $attributes, array $values = [])
     * @method _IH_Hiring_QB filter(array|null $params = null)
     * @method _IH_Hiring_QB filterBy(array|string $filters)
     * @method _IH_Hiring_QB filterFields(array|string $fields)
     * @method _IH_Hiring_QB renamedFilterFields(array $renamedFilterFields)
     * @method _IH_Hiring_QB restrictedFilters(array|string $restrictedFilters)
     */
    class _IH_Hiring_QB extends _BaseBuilder {}
    
    /**
     * @method Job|null getOrPut($key, \Closure $value)
     * @method Job|$this shift(int $count = 1)
     * @method Job|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Job|$this pop(int $count = 1)
     * @method Job|null pull($key, \Closure $default = null)
     * @method Job|null last(callable|null $callback = null, \Closure $default = null)
     * @method Job|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Job|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Job|null get($key, \Closure $default = null)
     * @method Job|null first(callable|null $callback = null, \Closure $default = null)
     * @method Job|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Job|null find($key, $default = null)
     * @method Job[] all()
     */
    class _IH_Job_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Job[][]|Collection<_IH_Job_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Job_QB whereId($value)
     * @method _IH_Job_QB whereUserId($value)
     * @method _IH_Job_QB whereWorkTypeId($value)
     * @method _IH_Job_QB whereWorkHourId($value)
     * @method _IH_Job_QB whereTitle($value)
     * @method _IH_Job_QB whereDescription($value)
     * @method _IH_Job_QB whereLocation($value)
     * @method _IH_Job_QB whereAddress($value)
     * @method _IH_Job_QB whereType($value)
     * @method _IH_Job_QB whereStatus($value)
     * @method _IH_Job_QB whereExpiryDate($value)
     * @method _IH_Job_QB whereCreatedAt($value)
     * @method _IH_Job_QB whereUpdatedAt($value)
     * @method _IH_Job_QB whereDeletedAt($value)
     * @method Job create(array $attributes = [])
     * @method Job createOrFirst(array $attributes = [], array $values = [])
     * @method Job createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_Job_C|Job[] cursor()
     * @method Job[] eagerLoadRelations(array $models)
     * @method Job|null|_IH_Job_C|Job[] find($id, array|string $columns = ['*'])
     * @method _IH_Job_C|Job[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Job|_IH_Job_C|Job[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Job|_IH_Job_C|Job[] findOrFail($id, array|string $columns = ['*'])
     * @method Job|_IH_Job_C|Job[] findOrNew($id, array|string $columns = ['*'])
     * @method Job first(array|string $columns = ['*'])
     * @method Job firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Job firstOrCreate(array $attributes = [], array $values = [])
     * @method Job firstOrFail(array|string $columns = ['*'])
     * @method Job firstOrNew(array $attributes = [], array $values = [])
     * @method Job firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Job forceCreate(array $attributes)
     * @method Job forceCreateQuietly(array $attributes = [])
     * @method _IH_Job_C|Job[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Job_C|Job[] get(array|string $columns = ['*'])
     * @method Job getModel()
     * @method Job[] getModels(array|string $columns = ['*'])
     * @method _IH_Job_C|Job[] hydrate(array $items)
     * @method _IH_Job_C|Job[] lazy(int $chunkSize = 1000)
     * @method _IH_Job_C|Job[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Job_C|Job[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Job make(array $attributes = [])
     * @method Job newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Job[]|_IH_Job_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method Job restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Job[]|_IH_Job_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Job sole(array|string $columns = ['*'])
     * @method Job updateOrCreate(array $attributes, array $values = [])
     * @method _IH_Job_QB filter(array|null $params = null)
     * @method _IH_Job_QB filterBy(array|string $filters)
     * @method _IH_Job_QB filterFields(array|string $fields)
     * @method _IH_Job_QB renamedFilterFields(array $renamedFilterFields)
     * @method _IH_Job_QB restrictedFilters(array|string $restrictedFilters)
     */
    class _IH_Job_QB extends _BaseBuilder {}
    
    /**
     * @method Language|null getOrPut($key, \Closure $value)
     * @method Language|$this shift(int $count = 1)
     * @method Language|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Language|$this pop(int $count = 1)
     * @method Language|null pull($key, \Closure $default = null)
     * @method Language|null last(callable|null $callback = null, \Closure $default = null)
     * @method Language|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Language|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Language|null get($key, \Closure $default = null)
     * @method Language|null first(callable|null $callback = null, \Closure $default = null)
     * @method Language|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Language|null find($key, $default = null)
     * @method Language[] all()
     */
    class _IH_Language_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Language[][]|Collection<_IH_Language_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Language_QB whereId($value)
     * @method _IH_Language_QB whereName($value)
     * @method _IH_Language_QB whereCreatedAt($value)
     * @method _IH_Language_QB whereUpdatedAt($value)
     * @method Language create(array $attributes = [])
     * @method Language createOrFirst(array $attributes = [], array $values = [])
     * @method Language createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_Language_C|Language[] cursor()
     * @method Language[] eagerLoadRelations(array $models)
     * @method Language|null|_IH_Language_C|Language[] find($id, array|string $columns = ['*'])
     * @method _IH_Language_C|Language[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Language|_IH_Language_C|Language[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Language|_IH_Language_C|Language[] findOrFail($id, array|string $columns = ['*'])
     * @method Language|_IH_Language_C|Language[] findOrNew($id, array|string $columns = ['*'])
     * @method Language first(array|string $columns = ['*'])
     * @method Language firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Language firstOrCreate(array $attributes = [], array $values = [])
     * @method Language firstOrFail(array|string $columns = ['*'])
     * @method Language firstOrNew(array $attributes = [], array $values = [])
     * @method Language firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Language forceCreate(array $attributes)
     * @method Language forceCreateQuietly(array $attributes = [])
     * @method _IH_Language_C|Language[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Language_C|Language[] get(array|string $columns = ['*'])
     * @method Language getModel()
     * @method Language[] getModels(array|string $columns = ['*'])
     * @method _IH_Language_C|Language[] hydrate(array $items)
     * @method _IH_Language_C|Language[] lazy(int $chunkSize = 1000)
     * @method _IH_Language_C|Language[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Language_C|Language[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Language make(array $attributes = [])
     * @method Language newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Language[]|_IH_Language_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method Language restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Language[]|_IH_Language_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Language sole(array|string $columns = ['*'])
     * @method Language updateOrCreate(array $attributes, array $values = [])
     * @method _IH_Language_QB filter(array|null $params = null)
     * @method _IH_Language_QB filterBy(array|string $filters)
     * @method _IH_Language_QB filterFields(array|string $fields)
     * @method _IH_Language_QB renamedFilterFields(array $renamedFilterFields)
     * @method _IH_Language_QB restrictedFilters(array|string $restrictedFilters)
     */
    class _IH_Language_QB extends _BaseBuilder {}
    
    /**
     * @method Partnership|null getOrPut($key, \Closure $value)
     * @method Partnership|$this shift(int $count = 1)
     * @method Partnership|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Partnership|$this pop(int $count = 1)
     * @method Partnership|null pull($key, \Closure $default = null)
     * @method Partnership|null last(callable|null $callback = null, \Closure $default = null)
     * @method Partnership|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Partnership|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Partnership|null get($key, \Closure $default = null)
     * @method Partnership|null first(callable|null $callback = null, \Closure $default = null)
     * @method Partnership|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Partnership|null find($key, $default = null)
     * @method Partnership[] all()
     */
    class _IH_Partnership_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Partnership[][]|Collection<_IH_Partnership_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Partnership_QB whereId($value)
     * @method _IH_Partnership_QB whereAgencyId($value)
     * @method _IH_Partnership_QB whereStartDate($value)
     * @method _IH_Partnership_QB whereEndDate($value)
     * @method _IH_Partnership_QB whereIsActive($value)
     * @method _IH_Partnership_QB whereCreatedAt($value)
     * @method _IH_Partnership_QB whereUpdatedAt($value)
     * @method _IH_Partnership_QB whereDeletedAt($value)
     * @method Partnership create(array $attributes = [])
     * @method Partnership createOrFirst(array $attributes = [], array $values = [])
     * @method Partnership createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_Partnership_C|Partnership[] cursor()
     * @method Partnership[] eagerLoadRelations(array $models)
     * @method Partnership|null|_IH_Partnership_C|Partnership[] find($id, array|string $columns = ['*'])
     * @method _IH_Partnership_C|Partnership[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Partnership|_IH_Partnership_C|Partnership[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Partnership|_IH_Partnership_C|Partnership[] findOrFail($id, array|string $columns = ['*'])
     * @method Partnership|_IH_Partnership_C|Partnership[] findOrNew($id, array|string $columns = ['*'])
     * @method Partnership first(array|string $columns = ['*'])
     * @method Partnership firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Partnership firstOrCreate(array $attributes = [], array $values = [])
     * @method Partnership firstOrFail(array|string $columns = ['*'])
     * @method Partnership firstOrNew(array $attributes = [], array $values = [])
     * @method Partnership firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Partnership forceCreate(array $attributes)
     * @method Partnership forceCreateQuietly(array $attributes = [])
     * @method _IH_Partnership_C|Partnership[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Partnership_C|Partnership[] get(array|string $columns = ['*'])
     * @method Partnership getModel()
     * @method Partnership[] getModels(array|string $columns = ['*'])
     * @method _IH_Partnership_C|Partnership[] hydrate(array $items)
     * @method _IH_Partnership_C|Partnership[] lazy(int $chunkSize = 1000)
     * @method _IH_Partnership_C|Partnership[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Partnership_C|Partnership[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Partnership make(array $attributes = [])
     * @method Partnership newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Partnership[]|_IH_Partnership_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method Partnership restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Partnership[]|_IH_Partnership_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Partnership sole(array|string $columns = ['*'])
     * @method Partnership updateOrCreate(array $attributes, array $values = [])
     * @method _IH_Partnership_QB filter(array|null $params = null)
     * @method _IH_Partnership_QB filterBy(array|string $filters)
     * @method _IH_Partnership_QB filterFields(array|string $fields)
     * @method _IH_Partnership_QB renamedFilterFields(array $renamedFilterFields)
     * @method _IH_Partnership_QB restrictedFilters(array|string $restrictedFilters)
     */
    class _IH_Partnership_QB extends _BaseBuilder {}
    
    /**
     * @method Rating|null getOrPut($key, \Closure $value)
     * @method Rating|$this shift(int $count = 1)
     * @method Rating|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Rating|$this pop(int $count = 1)
     * @method Rating|null pull($key, \Closure $default = null)
     * @method Rating|null last(callable|null $callback = null, \Closure $default = null)
     * @method Rating|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Rating|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Rating|null get($key, \Closure $default = null)
     * @method Rating|null first(callable|null $callback = null, \Closure $default = null)
     * @method Rating|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Rating|null find($key, $default = null)
     * @method Rating[] all()
     */
    class _IH_Rating_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Rating[][]|Collection<_IH_Rating_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Rating_QB whereId($value)
     * @method _IH_Rating_QB whereRatedById($value)
     * @method _IH_Rating_QB whereRatedToId($value)
     * @method _IH_Rating_QB whereJobId($value)
     * @method _IH_Rating_QB whereValue($value)
     * @method _IH_Rating_QB whereDescription($value)
     * @method _IH_Rating_QB whereCreatedAt($value)
     * @method _IH_Rating_QB whereUpdatedAt($value)
     * @method _IH_Rating_QB whereDeletedAt($value)
     * @method Rating create(array $attributes = [])
     * @method Rating createOrFirst(array $attributes = [], array $values = [])
     * @method Rating createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_Rating_C|Rating[] cursor()
     * @method Rating[] eagerLoadRelations(array $models)
     * @method Rating|null|_IH_Rating_C|Rating[] find($id, array|string $columns = ['*'])
     * @method _IH_Rating_C|Rating[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Rating|_IH_Rating_C|Rating[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Rating|_IH_Rating_C|Rating[] findOrFail($id, array|string $columns = ['*'])
     * @method Rating|_IH_Rating_C|Rating[] findOrNew($id, array|string $columns = ['*'])
     * @method Rating first(array|string $columns = ['*'])
     * @method Rating firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Rating firstOrCreate(array $attributes = [], array $values = [])
     * @method Rating firstOrFail(array|string $columns = ['*'])
     * @method Rating firstOrNew(array $attributes = [], array $values = [])
     * @method Rating firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Rating forceCreate(array $attributes)
     * @method Rating forceCreateQuietly(array $attributes = [])
     * @method _IH_Rating_C|Rating[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Rating_C|Rating[] get(array|string $columns = ['*'])
     * @method Rating getModel()
     * @method Rating[] getModels(array|string $columns = ['*'])
     * @method _IH_Rating_C|Rating[] hydrate(array $items)
     * @method _IH_Rating_C|Rating[] lazy(int $chunkSize = 1000)
     * @method _IH_Rating_C|Rating[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Rating_C|Rating[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Rating make(array $attributes = [])
     * @method Rating newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Rating[]|_IH_Rating_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method Rating restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Rating[]|_IH_Rating_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Rating sole(array|string $columns = ['*'])
     * @method Rating updateOrCreate(array $attributes, array $values = [])
     * @method _IH_Rating_QB filter(array|null $params = null)
     * @method _IH_Rating_QB filterBy(array|string $filters)
     * @method _IH_Rating_QB filterFields(array|string $fields)
     * @method _IH_Rating_QB renamedFilterFields(array $renamedFilterFields)
     * @method _IH_Rating_QB restrictedFilters(array|string $restrictedFilters)
     */
    class _IH_Rating_QB extends _BaseBuilder {}
    
    /**
     * @method Service|null getOrPut($key, \Closure $value)
     * @method Service|$this shift(int $count = 1)
     * @method Service|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Service|$this pop(int $count = 1)
     * @method Service|null pull($key, \Closure $default = null)
     * @method Service|null last(callable|null $callback = null, \Closure $default = null)
     * @method Service|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Service|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Service|null get($key, \Closure $default = null)
     * @method Service|null first(callable|null $callback = null, \Closure $default = null)
     * @method Service|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Service|null find($key, $default = null)
     * @method Service[] all()
     */
    class _IH_Service_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Service[][]|Collection<_IH_Service_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Service_QB whereId($value)
     * @method _IH_Service_QB whereName($value)
     * @method _IH_Service_QB whereDescription($value)
     * @method _IH_Service_QB whereFees($value)
     * @method _IH_Service_QB whereTimeline($value)
     * @method _IH_Service_QB whereIsActive($value)
     * @method _IH_Service_QB whereCreatedAt($value)
     * @method _IH_Service_QB whereUpdatedAt($value)
     * @method _IH_Service_QB whereDeletedAt($value)
     * @method Service create(array $attributes = [])
     * @method Service createOrFirst(array $attributes = [], array $values = [])
     * @method Service createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_Service_C|Service[] cursor()
     * @method Service[] eagerLoadRelations(array $models)
     * @method Service|null|_IH_Service_C|Service[] find($id, array|string $columns = ['*'])
     * @method _IH_Service_C|Service[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Service|_IH_Service_C|Service[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Service|_IH_Service_C|Service[] findOrFail($id, array|string $columns = ['*'])
     * @method Service|_IH_Service_C|Service[] findOrNew($id, array|string $columns = ['*'])
     * @method Service first(array|string $columns = ['*'])
     * @method Service firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Service firstOrCreate(array $attributes = [], array $values = [])
     * @method Service firstOrFail(array|string $columns = ['*'])
     * @method Service firstOrNew(array $attributes = [], array $values = [])
     * @method Service firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Service forceCreate(array $attributes)
     * @method Service forceCreateQuietly(array $attributes = [])
     * @method _IH_Service_C|Service[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Service_C|Service[] get(array|string $columns = ['*'])
     * @method Service getModel()
     * @method Service[] getModels(array|string $columns = ['*'])
     * @method _IH_Service_C|Service[] hydrate(array $items)
     * @method _IH_Service_C|Service[] lazy(int $chunkSize = 1000)
     * @method _IH_Service_C|Service[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Service_C|Service[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Service make(array $attributes = [])
     * @method Service newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Service[]|_IH_Service_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method Service restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Service[]|_IH_Service_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Service sole(array|string $columns = ['*'])
     * @method Service updateOrCreate(array $attributes, array $values = [])
     * @method _IH_Service_QB filter(array|null $params = null)
     * @method _IH_Service_QB filterBy(array|string $filters)
     * @method _IH_Service_QB filterFields(array|string $fields)
     * @method _IH_Service_QB renamedFilterFields(array $renamedFilterFields)
     * @method _IH_Service_QB restrictedFilters(array|string $restrictedFilters)
     */
    class _IH_Service_QB extends _BaseBuilder {}
    
    /**
     * @method Skill|null getOrPut($key, \Closure $value)
     * @method Skill|$this shift(int $count = 1)
     * @method Skill|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Skill|$this pop(int $count = 1)
     * @method Skill|null pull($key, \Closure $default = null)
     * @method Skill|null last(callable|null $callback = null, \Closure $default = null)
     * @method Skill|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Skill|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Skill|null get($key, \Closure $default = null)
     * @method Skill|null first(callable|null $callback = null, \Closure $default = null)
     * @method Skill|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Skill|null find($key, $default = null)
     * @method Skill[] all()
     */
    class _IH_Skill_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Skill[][]|Collection<_IH_Skill_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Skill_QB whereId($value)
     * @method _IH_Skill_QB whereName($value)
     * @method _IH_Skill_QB whereDescription($value)
     * @method _IH_Skill_QB whereIcon($value)
     * @method _IH_Skill_QB whereCreatedAt($value)
     * @method _IH_Skill_QB whereUpdatedAt($value)
     * @method Skill create(array $attributes = [])
     * @method Skill createOrFirst(array $attributes = [], array $values = [])
     * @method Skill createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_Skill_C|Skill[] cursor()
     * @method Skill[] eagerLoadRelations(array $models)
     * @method Skill|null|_IH_Skill_C|Skill[] find($id, array|string $columns = ['*'])
     * @method _IH_Skill_C|Skill[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Skill|_IH_Skill_C|Skill[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Skill|_IH_Skill_C|Skill[] findOrFail($id, array|string $columns = ['*'])
     * @method Skill|_IH_Skill_C|Skill[] findOrNew($id, array|string $columns = ['*'])
     * @method Skill first(array|string $columns = ['*'])
     * @method Skill firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Skill firstOrCreate(array $attributes = [], array $values = [])
     * @method Skill firstOrFail(array|string $columns = ['*'])
     * @method Skill firstOrNew(array $attributes = [], array $values = [])
     * @method Skill firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Skill forceCreate(array $attributes)
     * @method Skill forceCreateQuietly(array $attributes = [])
     * @method _IH_Skill_C|Skill[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Skill_C|Skill[] get(array|string $columns = ['*'])
     * @method Skill getModel()
     * @method Skill[] getModels(array|string $columns = ['*'])
     * @method _IH_Skill_C|Skill[] hydrate(array $items)
     * @method _IH_Skill_C|Skill[] lazy(int $chunkSize = 1000)
     * @method _IH_Skill_C|Skill[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Skill_C|Skill[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Skill make(array $attributes = [])
     * @method Skill newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Skill[]|_IH_Skill_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method Skill restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Skill[]|_IH_Skill_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Skill sole(array|string $columns = ['*'])
     * @method Skill updateOrCreate(array $attributes, array $values = [])
     * @method _IH_Skill_QB filter(array|null $params = null)
     * @method _IH_Skill_QB filterBy(array|string $filters)
     * @method _IH_Skill_QB filterFields(array|string $fields)
     * @method _IH_Skill_QB renamedFilterFields(array $renamedFilterFields)
     * @method _IH_Skill_QB restrictedFilters(array|string $restrictedFilters)
     */
    class _IH_Skill_QB extends _BaseBuilder {}
    
    /**
     * @method User|null getOrPut($key, \Closure $value)
     * @method User|$this shift(int $count = 1)
     * @method User|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method User|$this pop(int $count = 1)
     * @method User|null pull($key, \Closure $default = null)
     * @method User|null last(callable|null $callback = null, \Closure $default = null)
     * @method User|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method User|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method User|null get($key, \Closure $default = null)
     * @method User|null first(callable|null $callback = null, \Closure $default = null)
     * @method User|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method User|null find($key, $default = null)
     * @method User[] all()
     */
    class _IH_User_C extends _BaseCollection {
        /**
         * @param int $size
         * @return User[][]|Collection<_IH_User_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_User_QB whereId($value)
     * @method _IH_User_QB whereAgencyId($value)
     * @method _IH_User_QB whereName($value)
     * @method _IH_User_QB whereEmail($value)
     * @method _IH_User_QB whereMobileNo($value)
     * @method _IH_User_QB whereEmailVerifiedAt($value)
     * @method _IH_User_QB wherePassword($value)
     * @method _IH_User_QB whereGender($value)
     * @method _IH_User_QB whereRole($value)
     * @method _IH_User_QB whereLastLoginAt($value)
     * @method _IH_User_QB whereIsActive($value)
     * @method _IH_User_QB whereProfilePicture($value)
     * @method _IH_User_QB whereRememberToken($value)
     * @method _IH_User_QB whereCreatedAt($value)
     * @method _IH_User_QB whereUpdatedAt($value)
     * @method _IH_User_QB whereDeletedAt($value)
     * @method User create(array $attributes = [])
     * @method User createOrFirst(array $attributes = [], array $values = [])
     * @method User createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_User_C|User[] cursor()
     * @method User[] eagerLoadRelations(array $models)
     * @method User|null|_IH_User_C|User[] find($id, array|string $columns = ['*'])
     * @method _IH_User_C|User[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method User|_IH_User_C|User[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method User|_IH_User_C|User[] findOrFail($id, array|string $columns = ['*'])
     * @method User|_IH_User_C|User[] findOrNew($id, array|string $columns = ['*'])
     * @method User first(array|string $columns = ['*'])
     * @method User firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method User firstOrCreate(array $attributes = [], array $values = [])
     * @method User firstOrFail(array|string $columns = ['*'])
     * @method User firstOrNew(array $attributes = [], array $values = [])
     * @method User firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method User forceCreate(array $attributes)
     * @method User forceCreateQuietly(array $attributes = [])
     * @method _IH_User_C|User[] fromQuery(string $query, array $bindings = [])
     * @method _IH_User_C|User[] get(array|string $columns = ['*'])
     * @method User getModel()
     * @method User[] getModels(array|string $columns = ['*'])
     * @method _IH_User_C|User[] hydrate(array $items)
     * @method _IH_User_C|User[] lazy(int $chunkSize = 1000)
     * @method _IH_User_C|User[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_User_C|User[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method User make(array $attributes = [])
     * @method User newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|User[]|_IH_User_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method User restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|User[]|_IH_User_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method User sole(array|string $columns = ['*'])
     * @method User updateOrCreate(array $attributes, array $values = [])
     * @method _IH_User_QB filter(array|null $params = null)
     * @method _IH_User_QB filterBy(array|string $filters)
     * @method _IH_User_QB filterFields(array|string $fields)
     * @method _IH_User_QB renamedFilterFields(array $renamedFilterFields)
     * @method _IH_User_QB restrictedFilters(array|string $restrictedFilters)
     */
    class _IH_User_QB extends _BaseBuilder {}
    
    /**
     * @method WorkHour|null getOrPut($key, \Closure $value)
     * @method WorkHour|$this shift(int $count = 1)
     * @method WorkHour|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method WorkHour|$this pop(int $count = 1)
     * @method WorkHour|null pull($key, \Closure $default = null)
     * @method WorkHour|null last(callable|null $callback = null, \Closure $default = null)
     * @method WorkHour|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method WorkHour|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method WorkHour|null get($key, \Closure $default = null)
     * @method WorkHour|null first(callable|null $callback = null, \Closure $default = null)
     * @method WorkHour|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method WorkHour|null find($key, $default = null)
     * @method WorkHour[] all()
     */
    class _IH_WorkHour_C extends _BaseCollection {
        /**
         * @param int $size
         * @return WorkHour[][]|Collection<_IH_WorkHour_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_WorkHour_QB whereId($value)
     * @method _IH_WorkHour_QB whereName($value)
     * @method _IH_WorkHour_QB whereHours($value)
     * @method _IH_WorkHour_QB whereCreatedAt($value)
     * @method _IH_WorkHour_QB whereUpdatedAt($value)
     * @method WorkHour create(array $attributes = [])
     * @method WorkHour createOrFirst(array $attributes = [], array $values = [])
     * @method WorkHour createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_WorkHour_C|WorkHour[] cursor()
     * @method WorkHour[] eagerLoadRelations(array $models)
     * @method WorkHour|null|_IH_WorkHour_C|WorkHour[] find($id, array|string $columns = ['*'])
     * @method _IH_WorkHour_C|WorkHour[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method WorkHour|_IH_WorkHour_C|WorkHour[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method WorkHour|_IH_WorkHour_C|WorkHour[] findOrFail($id, array|string $columns = ['*'])
     * @method WorkHour|_IH_WorkHour_C|WorkHour[] findOrNew($id, array|string $columns = ['*'])
     * @method WorkHour first(array|string $columns = ['*'])
     * @method WorkHour firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method WorkHour firstOrCreate(array $attributes = [], array $values = [])
     * @method WorkHour firstOrFail(array|string $columns = ['*'])
     * @method WorkHour firstOrNew(array $attributes = [], array $values = [])
     * @method WorkHour firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method WorkHour forceCreate(array $attributes)
     * @method WorkHour forceCreateQuietly(array $attributes = [])
     * @method _IH_WorkHour_C|WorkHour[] fromQuery(string $query, array $bindings = [])
     * @method _IH_WorkHour_C|WorkHour[] get(array|string $columns = ['*'])
     * @method WorkHour getModel()
     * @method WorkHour[] getModels(array|string $columns = ['*'])
     * @method _IH_WorkHour_C|WorkHour[] hydrate(array $items)
     * @method _IH_WorkHour_C|WorkHour[] lazy(int $chunkSize = 1000)
     * @method _IH_WorkHour_C|WorkHour[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_WorkHour_C|WorkHour[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method WorkHour make(array $attributes = [])
     * @method WorkHour newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|WorkHour[]|_IH_WorkHour_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method WorkHour restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|WorkHour[]|_IH_WorkHour_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method WorkHour sole(array|string $columns = ['*'])
     * @method WorkHour updateOrCreate(array $attributes, array $values = [])
     * @method _IH_WorkHour_QB filter(array|null $params = null)
     * @method _IH_WorkHour_QB filterBy(array|string $filters)
     * @method _IH_WorkHour_QB filterFields(array|string $fields)
     * @method _IH_WorkHour_QB renamedFilterFields(array $renamedFilterFields)
     * @method _IH_WorkHour_QB restrictedFilters(array|string $restrictedFilters)
     */
    class _IH_WorkHour_QB extends _BaseBuilder {}
    
    /**
     * @method WorkType|null getOrPut($key, \Closure $value)
     * @method WorkType|$this shift(int $count = 1)
     * @method WorkType|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method WorkType|$this pop(int $count = 1)
     * @method WorkType|null pull($key, \Closure $default = null)
     * @method WorkType|null last(callable|null $callback = null, \Closure $default = null)
     * @method WorkType|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method WorkType|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method WorkType|null get($key, \Closure $default = null)
     * @method WorkType|null first(callable|null $callback = null, \Closure $default = null)
     * @method WorkType|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method WorkType|null find($key, $default = null)
     * @method WorkType[] all()
     */
    class _IH_WorkType_C extends _BaseCollection {
        /**
         * @param int $size
         * @return WorkType[][]|Collection<_IH_WorkType_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_WorkType_QB whereId($value)
     * @method _IH_WorkType_QB whereName($value)
     * @method _IH_WorkType_QB whereDescription($value)
     * @method _IH_WorkType_QB whereCreatedAt($value)
     * @method _IH_WorkType_QB whereUpdatedAt($value)
     * @method WorkType create(array $attributes = [])
     * @method WorkType createOrFirst(array $attributes = [], array $values = [])
     * @method WorkType createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_WorkType_C|WorkType[] cursor()
     * @method WorkType[] eagerLoadRelations(array $models)
     * @method WorkType|null|_IH_WorkType_C|WorkType[] find($id, array|string $columns = ['*'])
     * @method _IH_WorkType_C|WorkType[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method WorkType|_IH_WorkType_C|WorkType[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method WorkType|_IH_WorkType_C|WorkType[] findOrFail($id, array|string $columns = ['*'])
     * @method WorkType|_IH_WorkType_C|WorkType[] findOrNew($id, array|string $columns = ['*'])
     * @method WorkType first(array|string $columns = ['*'])
     * @method WorkType firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method WorkType firstOrCreate(array $attributes = [], array $values = [])
     * @method WorkType firstOrFail(array|string $columns = ['*'])
     * @method WorkType firstOrNew(array $attributes = [], array $values = [])
     * @method WorkType firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method WorkType forceCreate(array $attributes)
     * @method WorkType forceCreateQuietly(array $attributes = [])
     * @method _IH_WorkType_C|WorkType[] fromQuery(string $query, array $bindings = [])
     * @method _IH_WorkType_C|WorkType[] get(array|string $columns = ['*'])
     * @method WorkType getModel()
     * @method WorkType[] getModels(array|string $columns = ['*'])
     * @method _IH_WorkType_C|WorkType[] hydrate(array $items)
     * @method _IH_WorkType_C|WorkType[] lazy(int $chunkSize = 1000)
     * @method _IH_WorkType_C|WorkType[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_WorkType_C|WorkType[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method WorkType make(array $attributes = [])
     * @method WorkType newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|WorkType[]|_IH_WorkType_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method WorkType restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|WorkType[]|_IH_WorkType_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method WorkType sole(array|string $columns = ['*'])
     * @method WorkType updateOrCreate(array $attributes, array $values = [])
     * @method _IH_WorkType_QB filter(array|null $params = null)
     * @method _IH_WorkType_QB filterBy(array|string $filters)
     * @method _IH_WorkType_QB filterFields(array|string $fields)
     * @method _IH_WorkType_QB renamedFilterFields(array $renamedFilterFields)
     * @method _IH_WorkType_QB restrictedFilters(array|string $restrictedFilters)
     */
    class _IH_WorkType_QB extends _BaseBuilder {}
    
    /**
     * @method Worker|null getOrPut($key, \Closure $value)
     * @method Worker|$this shift(int $count = 1)
     * @method Worker|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Worker|$this pop(int $count = 1)
     * @method Worker|null pull($key, \Closure $default = null)
     * @method Worker|null last(callable|null $callback = null, \Closure $default = null)
     * @method Worker|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Worker|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Worker|null get($key, \Closure $default = null)
     * @method Worker|null first(callable|null $callback = null, \Closure $default = null)
     * @method Worker|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Worker|null find($key, $default = null)
     * @method Worker[] all()
     */
    class _IH_Worker_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Worker[][]|Collection<_IH_Worker_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Worker_QB whereId($value)
     * @method _IH_Worker_QB whereUserId($value)
     * @method _IH_Worker_QB whereWorkTypeId($value)
     * @method _IH_Worker_QB whereAgencyId($value)
     * @method _IH_Worker_QB whereAge($value)
     * @method _IH_Worker_QB whereAddress($value)
     * @method _IH_Worker_QB whereCountry($value)
     * @method _IH_Worker_QB whereCity($value)
     * @method _IH_Worker_QB wherePincode($value)
     * @method _IH_Worker_QB whereReportingLocation($value)
     * @method _IH_Worker_QB whereExperience($value)
     * @method _IH_Worker_QB whereCredits($value)
     * @method _IH_Worker_QB whereIsVisible($value)
     * @method _IH_Worker_QB whereReligion($value)
     * @method _IH_Worker_QB whereMaritalStatus($value)
     * @method _IH_Worker_QB whereCookType($value)
     * @method _IH_Worker_QB whereAadharFront($value)
     * @method _IH_Worker_QB whereAadharBack($value)
     * @method _IH_Worker_QB wherePanCard($value)
     * @method _IH_Worker_QB whereCreatedAt($value)
     * @method _IH_Worker_QB whereUpdatedAt($value)
     * @method _IH_Worker_QB whereDeletedAt($value)
     * @method Worker create(array $attributes = [])
     * @method Worker createOrFirst(array $attributes = [], array $values = [])
     * @method Worker createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_Worker_C|Worker[] cursor()
     * @method Worker[] eagerLoadRelations(array $models)
     * @method Worker|null|_IH_Worker_C|Worker[] find($id, array|string $columns = ['*'])
     * @method _IH_Worker_C|Worker[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Worker|_IH_Worker_C|Worker[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Worker|_IH_Worker_C|Worker[] findOrFail($id, array|string $columns = ['*'])
     * @method Worker|_IH_Worker_C|Worker[] findOrNew($id, array|string $columns = ['*'])
     * @method Worker first(array|string $columns = ['*'])
     * @method Worker firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Worker firstOrCreate(array $attributes = [], array $values = [])
     * @method Worker firstOrFail(array|string $columns = ['*'])
     * @method Worker firstOrNew(array $attributes = [], array $values = [])
     * @method Worker firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Worker forceCreate(array $attributes)
     * @method Worker forceCreateQuietly(array $attributes = [])
     * @method _IH_Worker_C|Worker[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Worker_C|Worker[] get(array|string $columns = ['*'])
     * @method Worker getModel()
     * @method Worker[] getModels(array|string $columns = ['*'])
     * @method _IH_Worker_C|Worker[] hydrate(array $items)
     * @method _IH_Worker_C|Worker[] lazy(int $chunkSize = 1000)
     * @method _IH_Worker_C|Worker[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Worker_C|Worker[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Worker make(array $attributes = [])
     * @method Worker newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Worker[]|_IH_Worker_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method Worker restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Worker[]|_IH_Worker_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Worker sole(array|string $columns = ['*'])
     * @method Worker updateOrCreate(array $attributes, array $values = [])
     * @method _IH_Worker_QB filter(array|null $params = null)
     * @method _IH_Worker_QB filterBy(array|string $filters)
     * @method _IH_Worker_QB filterFields(array|string $fields)
     * @method _IH_Worker_QB renamedFilterFields(array $renamedFilterFields)
     * @method _IH_Worker_QB restrictedFilters(array|string $restrictedFilters)
     */
    class _IH_Worker_QB extends _BaseBuilder {}
}