<?php //8134030f69c0e426ebb8e2d176926447
/** @noinspection all */

namespace LaravelIdea\Helper\Tests\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Tests\Entities\Author;
    use Tests\Entities\ChildPost;
    use Tests\Entities\Comment;
    use Tests\Entities\InvalidRelationshipPost;
    use Tests\Entities\NonSoftDeletingPost;
    use Tests\Entities\Post;
    use Tests\Entities\PostType;
    use Tests\Entities\PostWithMissingRelationshipMethod;
    use Tests\Entities\PostWithStringCascade;
    
    /**
     * @method Author|null getOrPut($key, \Closure $value)
     * @method Author|$this shift(int $count = 1)
     * @method Author|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Author|$this pop(int $count = 1)
     * @method Author|null pull($key, \Closure $default = null)
     * @method Author|null last(callable|null $callback = null, \Closure $default = null)
     * @method Author|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Author|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Author|null get($key, \Closure $default = null)
     * @method Author|null first(callable|null $callback = null, \Closure $default = null)
     * @method Author|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Author|null find($key, $default = null)
     * @method Author[] all()
     */
    class _IH_Author_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Author[][]|Collection<_IH_Author_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Author_QB whereId($value)
     * @method _IH_Author_QB whereName($value)
     * @method _IH_Author_QB whereCreatedAt($value)
     * @method _IH_Author_QB whereUpdatedAt($value)
     * @method Author create(array $attributes = [])
     * @method Author createOrFirst(array $attributes = [], array $values = [])
     * @method Author createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_Author_C|Author[] cursor()
     * @method Author[] eagerLoadRelations(array $models)
     * @method Author|null|_IH_Author_C|Author[] find($id, array|string $columns = ['*'])
     * @method _IH_Author_C|Author[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Author|_IH_Author_C|Author[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Author|_IH_Author_C|Author[] findOrFail($id, array|string $columns = ['*'])
     * @method Author|_IH_Author_C|Author[] findOrNew($id, array|string $columns = ['*'])
     * @method Author first(array|string $columns = ['*'])
     * @method Author firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Author firstOrCreate(array $attributes = [], array $values = [])
     * @method Author firstOrFail(array|string $columns = ['*'])
     * @method Author firstOrNew(array $attributes = [], array $values = [])
     * @method Author firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Author forceCreate(array $attributes)
     * @method Author forceCreateQuietly(array $attributes = [])
     * @method _IH_Author_C|Author[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Author_C|Author[] get(array|string $columns = ['*'])
     * @method Author getModel()
     * @method Author[] getModels(array|string $columns = ['*'])
     * @method _IH_Author_C|Author[] hydrate(array $items)
     * @method _IH_Author_C|Author[] lazy(int $chunkSize = 1000)
     * @method _IH_Author_C|Author[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Author_C|Author[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Author make(array $attributes = [])
     * @method Author newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Author[]|_IH_Author_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method Author restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Author[]|_IH_Author_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Author sole(array|string $columns = ['*'])
     * @method Author updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Author_QB extends _BaseBuilder {}
    
    /**
     * @method ChildPost|null getOrPut($key, \Closure $value)
     * @method ChildPost|$this shift(int $count = 1)
     * @method ChildPost|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ChildPost|$this pop(int $count = 1)
     * @method ChildPost|null pull($key, \Closure $default = null)
     * @method ChildPost|null last(callable|null $callback = null, \Closure $default = null)
     * @method ChildPost|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ChildPost|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ChildPost|null get($key, \Closure $default = null)
     * @method ChildPost|null first(callable|null $callback = null, \Closure $default = null)
     * @method ChildPost|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ChildPost|null find($key, $default = null)
     * @method ChildPost[] all()
     */
    class _IH_ChildPost_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ChildPost[][]|Collection<_IH_ChildPost_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ChildPost_QB whereId($value)
     * @method _IH_ChildPost_QB whereUserId($value)
     * @method _IH_ChildPost_QB whereTitle($value)
     * @method _IH_ChildPost_QB wherePostableId($value)
     * @method _IH_ChildPost_QB wherePostableType($value)
     * @method _IH_ChildPost_QB whereCreatedAt($value)
     * @method _IH_ChildPost_QB whereUpdatedAt($value)
     * @method ChildPost create(array $attributes = [])
     * @method ChildPost createOrFirst(array $attributes = [], array $values = [])
     * @method ChildPost createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_ChildPost_C|ChildPost[] cursor()
     * @method ChildPost[] eagerLoadRelations(array $models)
     * @method ChildPost|null|_IH_ChildPost_C|ChildPost[] find($id, array|string $columns = ['*'])
     * @method _IH_ChildPost_C|ChildPost[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ChildPost|_IH_ChildPost_C|ChildPost[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method ChildPost|_IH_ChildPost_C|ChildPost[] findOrFail($id, array|string $columns = ['*'])
     * @method ChildPost|_IH_ChildPost_C|ChildPost[] findOrNew($id, array|string $columns = ['*'])
     * @method ChildPost first(array|string $columns = ['*'])
     * @method ChildPost firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method ChildPost firstOrCreate(array $attributes = [], array $values = [])
     * @method ChildPost firstOrFail(array|string $columns = ['*'])
     * @method ChildPost firstOrNew(array $attributes = [], array $values = [])
     * @method ChildPost firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ChildPost forceCreate(array $attributes)
     * @method ChildPost forceCreateQuietly(array $attributes = [])
     * @method _IH_ChildPost_C|ChildPost[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ChildPost_C|ChildPost[] get(array|string $columns = ['*'])
     * @method ChildPost getModel()
     * @method ChildPost[] getModels(array|string $columns = ['*'])
     * @method _IH_ChildPost_C|ChildPost[] hydrate(array $items)
     * @method _IH_ChildPost_C|ChildPost[] lazy(int $chunkSize = 1000)
     * @method _IH_ChildPost_C|ChildPost[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ChildPost_C|ChildPost[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ChildPost make(array $attributes = [])
     * @method ChildPost newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ChildPost[]|_IH_ChildPost_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method ChildPost restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|ChildPost[]|_IH_ChildPost_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ChildPost sole(array|string $columns = ['*'])
     * @method ChildPost updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ChildPost_QB extends _BaseBuilder {}
    
    /**
     * @method Comment|null getOrPut($key, \Closure $value)
     * @method Comment|$this shift(int $count = 1)
     * @method Comment|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Comment|$this pop(int $count = 1)
     * @method Comment|null pull($key, \Closure $default = null)
     * @method Comment|null last(callable|null $callback = null, \Closure $default = null)
     * @method Comment|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Comment|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Comment|null get($key, \Closure $default = null)
     * @method Comment|null first(callable|null $callback = null, \Closure $default = null)
     * @method Comment|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Comment|null find($key, $default = null)
     * @method Comment[] all()
     */
    class _IH_Comment_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Comment[][]|Collection<_IH_Comment_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Comment_QB whereId($value)
     * @method _IH_Comment_QB wherePostId($value)
     * @method _IH_Comment_QB whereContent($value)
     * @method _IH_Comment_QB whereCreatedAt($value)
     * @method _IH_Comment_QB whereUpdatedAt($value)
     * @method Comment create(array $attributes = [])
     * @method Comment createOrFirst(array $attributes = [], array $values = [])
     * @method Comment createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_Comment_C|Comment[] cursor()
     * @method Comment[] eagerLoadRelations(array $models)
     * @method Comment|null|_IH_Comment_C|Comment[] find($id, array|string $columns = ['*'])
     * @method _IH_Comment_C|Comment[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Comment|_IH_Comment_C|Comment[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Comment|_IH_Comment_C|Comment[] findOrFail($id, array|string $columns = ['*'])
     * @method Comment|_IH_Comment_C|Comment[] findOrNew($id, array|string $columns = ['*'])
     * @method Comment first(array|string $columns = ['*'])
     * @method Comment firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Comment firstOrCreate(array $attributes = [], array $values = [])
     * @method Comment firstOrFail(array|string $columns = ['*'])
     * @method Comment firstOrNew(array $attributes = [], array $values = [])
     * @method Comment firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Comment forceCreate(array $attributes)
     * @method Comment forceCreateQuietly(array $attributes = [])
     * @method _IH_Comment_C|Comment[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Comment_C|Comment[] get(array|string $columns = ['*'])
     * @method Comment getModel()
     * @method Comment[] getModels(array|string $columns = ['*'])
     * @method _IH_Comment_C|Comment[] hydrate(array $items)
     * @method _IH_Comment_C|Comment[] lazy(int $chunkSize = 1000)
     * @method _IH_Comment_C|Comment[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Comment_C|Comment[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Comment make(array $attributes = [])
     * @method Comment newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Comment[]|_IH_Comment_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method Comment restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Comment[]|_IH_Comment_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Comment sole(array|string $columns = ['*'])
     * @method Comment updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Comment_QB extends _BaseBuilder {}
    
    /**
     * @method InvalidRelationshipPost|null getOrPut($key, \Closure $value)
     * @method InvalidRelationshipPost|$this shift(int $count = 1)
     * @method InvalidRelationshipPost|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method InvalidRelationshipPost|$this pop(int $count = 1)
     * @method InvalidRelationshipPost|null pull($key, \Closure $default = null)
     * @method InvalidRelationshipPost|null last(callable|null $callback = null, \Closure $default = null)
     * @method InvalidRelationshipPost|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method InvalidRelationshipPost|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method InvalidRelationshipPost|null get($key, \Closure $default = null)
     * @method InvalidRelationshipPost|null first(callable|null $callback = null, \Closure $default = null)
     * @method InvalidRelationshipPost|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method InvalidRelationshipPost|null find($key, $default = null)
     * @method InvalidRelationshipPost[] all()
     */
    class _IH_InvalidRelationshipPost_C extends _BaseCollection {
        /**
         * @param int $size
         * @return InvalidRelationshipPost[][]|Collection<_IH_InvalidRelationshipPost_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_InvalidRelationshipPost_QB whereId($value)
     * @method _IH_InvalidRelationshipPost_QB whereUserId($value)
     * @method _IH_InvalidRelationshipPost_QB whereTitle($value)
     * @method _IH_InvalidRelationshipPost_QB wherePostableId($value)
     * @method _IH_InvalidRelationshipPost_QB wherePostableType($value)
     * @method _IH_InvalidRelationshipPost_QB whereCreatedAt($value)
     * @method _IH_InvalidRelationshipPost_QB whereUpdatedAt($value)
     * @method InvalidRelationshipPost create(array $attributes = [])
     * @method InvalidRelationshipPost createOrFirst(array $attributes = [], array $values = [])
     * @method InvalidRelationshipPost createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_InvalidRelationshipPost_C|InvalidRelationshipPost[] cursor()
     * @method InvalidRelationshipPost[] eagerLoadRelations(array $models)
     * @method InvalidRelationshipPost|null|_IH_InvalidRelationshipPost_C|InvalidRelationshipPost[] find($id, array|string $columns = ['*'])
     * @method _IH_InvalidRelationshipPost_C|InvalidRelationshipPost[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method InvalidRelationshipPost|_IH_InvalidRelationshipPost_C|InvalidRelationshipPost[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method InvalidRelationshipPost|_IH_InvalidRelationshipPost_C|InvalidRelationshipPost[] findOrFail($id, array|string $columns = ['*'])
     * @method InvalidRelationshipPost|_IH_InvalidRelationshipPost_C|InvalidRelationshipPost[] findOrNew($id, array|string $columns = ['*'])
     * @method InvalidRelationshipPost first(array|string $columns = ['*'])
     * @method InvalidRelationshipPost firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method InvalidRelationshipPost firstOrCreate(array $attributes = [], array $values = [])
     * @method InvalidRelationshipPost firstOrFail(array|string $columns = ['*'])
     * @method InvalidRelationshipPost firstOrNew(array $attributes = [], array $values = [])
     * @method InvalidRelationshipPost firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method InvalidRelationshipPost forceCreate(array $attributes)
     * @method InvalidRelationshipPost forceCreateQuietly(array $attributes = [])
     * @method _IH_InvalidRelationshipPost_C|InvalidRelationshipPost[] fromQuery(string $query, array $bindings = [])
     * @method _IH_InvalidRelationshipPost_C|InvalidRelationshipPost[] get(array|string $columns = ['*'])
     * @method InvalidRelationshipPost getModel()
     * @method InvalidRelationshipPost[] getModels(array|string $columns = ['*'])
     * @method _IH_InvalidRelationshipPost_C|InvalidRelationshipPost[] hydrate(array $items)
     * @method _IH_InvalidRelationshipPost_C|InvalidRelationshipPost[] lazy(int $chunkSize = 1000)
     * @method _IH_InvalidRelationshipPost_C|InvalidRelationshipPost[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_InvalidRelationshipPost_C|InvalidRelationshipPost[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method InvalidRelationshipPost make(array $attributes = [])
     * @method InvalidRelationshipPost newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|InvalidRelationshipPost[]|_IH_InvalidRelationshipPost_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method InvalidRelationshipPost restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|InvalidRelationshipPost[]|_IH_InvalidRelationshipPost_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method InvalidRelationshipPost sole(array|string $columns = ['*'])
     * @method InvalidRelationshipPost updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_InvalidRelationshipPost_QB extends _BaseBuilder {}
    
    /**
     * @method NonSoftDeletingPost|null getOrPut($key, \Closure $value)
     * @method NonSoftDeletingPost|$this shift(int $count = 1)
     * @method NonSoftDeletingPost|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method NonSoftDeletingPost|$this pop(int $count = 1)
     * @method NonSoftDeletingPost|null pull($key, \Closure $default = null)
     * @method NonSoftDeletingPost|null last(callable|null $callback = null, \Closure $default = null)
     * @method NonSoftDeletingPost|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method NonSoftDeletingPost|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method NonSoftDeletingPost|null get($key, \Closure $default = null)
     * @method NonSoftDeletingPost|null first(callable|null $callback = null, \Closure $default = null)
     * @method NonSoftDeletingPost|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method NonSoftDeletingPost|null find($key, $default = null)
     * @method NonSoftDeletingPost[] all()
     */
    class _IH_NonSoftDeletingPost_C extends _BaseCollection {
        /**
         * @param int $size
         * @return NonSoftDeletingPost[][]|Collection<_IH_NonSoftDeletingPost_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_NonSoftDeletingPost_QB whereId($value)
     * @method _IH_NonSoftDeletingPost_QB whereUserId($value)
     * @method _IH_NonSoftDeletingPost_QB whereTitle($value)
     * @method _IH_NonSoftDeletingPost_QB wherePostableId($value)
     * @method _IH_NonSoftDeletingPost_QB wherePostableType($value)
     * @method _IH_NonSoftDeletingPost_QB whereCreatedAt($value)
     * @method _IH_NonSoftDeletingPost_QB whereUpdatedAt($value)
     * @method NonSoftDeletingPost create(array $attributes = [])
     * @method NonSoftDeletingPost createOrFirst(array $attributes = [], array $values = [])
     * @method NonSoftDeletingPost createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_NonSoftDeletingPost_C|NonSoftDeletingPost[] cursor()
     * @method NonSoftDeletingPost[] eagerLoadRelations(array $models)
     * @method NonSoftDeletingPost|null|_IH_NonSoftDeletingPost_C|NonSoftDeletingPost[] find($id, array|string $columns = ['*'])
     * @method _IH_NonSoftDeletingPost_C|NonSoftDeletingPost[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method NonSoftDeletingPost|_IH_NonSoftDeletingPost_C|NonSoftDeletingPost[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method NonSoftDeletingPost|_IH_NonSoftDeletingPost_C|NonSoftDeletingPost[] findOrFail($id, array|string $columns = ['*'])
     * @method NonSoftDeletingPost|_IH_NonSoftDeletingPost_C|NonSoftDeletingPost[] findOrNew($id, array|string $columns = ['*'])
     * @method NonSoftDeletingPost first(array|string $columns = ['*'])
     * @method NonSoftDeletingPost firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method NonSoftDeletingPost firstOrCreate(array $attributes = [], array $values = [])
     * @method NonSoftDeletingPost firstOrFail(array|string $columns = ['*'])
     * @method NonSoftDeletingPost firstOrNew(array $attributes = [], array $values = [])
     * @method NonSoftDeletingPost firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method NonSoftDeletingPost forceCreate(array $attributes)
     * @method NonSoftDeletingPost forceCreateQuietly(array $attributes = [])
     * @method _IH_NonSoftDeletingPost_C|NonSoftDeletingPost[] fromQuery(string $query, array $bindings = [])
     * @method _IH_NonSoftDeletingPost_C|NonSoftDeletingPost[] get(array|string $columns = ['*'])
     * @method NonSoftDeletingPost getModel()
     * @method NonSoftDeletingPost[] getModels(array|string $columns = ['*'])
     * @method _IH_NonSoftDeletingPost_C|NonSoftDeletingPost[] hydrate(array $items)
     * @method _IH_NonSoftDeletingPost_C|NonSoftDeletingPost[] lazy(int $chunkSize = 1000)
     * @method _IH_NonSoftDeletingPost_C|NonSoftDeletingPost[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_NonSoftDeletingPost_C|NonSoftDeletingPost[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method NonSoftDeletingPost make(array $attributes = [])
     * @method NonSoftDeletingPost newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|NonSoftDeletingPost[]|_IH_NonSoftDeletingPost_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method NonSoftDeletingPost restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|NonSoftDeletingPost[]|_IH_NonSoftDeletingPost_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method NonSoftDeletingPost sole(array|string $columns = ['*'])
     * @method NonSoftDeletingPost updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_NonSoftDeletingPost_QB extends _BaseBuilder {}
    
    /**
     * @method PostType|null getOrPut($key, \Closure $value)
     * @method PostType|$this shift(int $count = 1)
     * @method PostType|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method PostType|$this pop(int $count = 1)
     * @method PostType|null pull($key, \Closure $default = null)
     * @method PostType|null last(callable|null $callback = null, \Closure $default = null)
     * @method PostType|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method PostType|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method PostType|null get($key, \Closure $default = null)
     * @method PostType|null first(callable|null $callback = null, \Closure $default = null)
     * @method PostType|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method PostType|null find($key, $default = null)
     * @method PostType[] all()
     */
    class _IH_PostType_C extends _BaseCollection {
        /**
         * @param int $size
         * @return PostType[][]|Collection<_IH_PostType_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method PostType create(array $attributes = [])
     * @method PostType createOrFirst(array $attributes = [], array $values = [])
     * @method PostType createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_PostType_C|PostType[] cursor()
     * @method PostType[] eagerLoadRelations(array $models)
     * @method PostType|null|_IH_PostType_C|PostType[] find($id, array|string $columns = ['*'])
     * @method _IH_PostType_C|PostType[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method PostType|_IH_PostType_C|PostType[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method PostType|_IH_PostType_C|PostType[] findOrFail($id, array|string $columns = ['*'])
     * @method PostType|_IH_PostType_C|PostType[] findOrNew($id, array|string $columns = ['*'])
     * @method PostType first(array|string $columns = ['*'])
     * @method PostType firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method PostType firstOrCreate(array $attributes = [], array $values = [])
     * @method PostType firstOrFail(array|string $columns = ['*'])
     * @method PostType firstOrNew(array $attributes = [], array $values = [])
     * @method PostType firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method PostType forceCreate(array $attributes)
     * @method PostType forceCreateQuietly(array $attributes = [])
     * @method _IH_PostType_C|PostType[] fromQuery(string $query, array $bindings = [])
     * @method _IH_PostType_C|PostType[] get(array|string $columns = ['*'])
     * @method PostType getModel()
     * @method PostType[] getModels(array|string $columns = ['*'])
     * @method _IH_PostType_C|PostType[] hydrate(array $items)
     * @method _IH_PostType_C|PostType[] lazy(int $chunkSize = 1000)
     * @method _IH_PostType_C|PostType[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_PostType_C|PostType[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method PostType make(array $attributes = [])
     * @method PostType newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|PostType[]|_IH_PostType_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method PostType restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|PostType[]|_IH_PostType_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method PostType sole(array|string $columns = ['*'])
     * @method PostType updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_PostType_QB extends _BaseBuilder {}
    
    /**
     * @method PostWithMissingRelationshipMethod|null getOrPut($key, \Closure $value)
     * @method PostWithMissingRelationshipMethod|$this shift(int $count = 1)
     * @method PostWithMissingRelationshipMethod|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method PostWithMissingRelationshipMethod|$this pop(int $count = 1)
     * @method PostWithMissingRelationshipMethod|null pull($key, \Closure $default = null)
     * @method PostWithMissingRelationshipMethod|null last(callable|null $callback = null, \Closure $default = null)
     * @method PostWithMissingRelationshipMethod|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method PostWithMissingRelationshipMethod|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method PostWithMissingRelationshipMethod|null get($key, \Closure $default = null)
     * @method PostWithMissingRelationshipMethod|null first(callable|null $callback = null, \Closure $default = null)
     * @method PostWithMissingRelationshipMethod|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method PostWithMissingRelationshipMethod|null find($key, $default = null)
     * @method PostWithMissingRelationshipMethod[] all()
     */
    class _IH_PostWithMissingRelationshipMethod_C extends _BaseCollection {
        /**
         * @param int $size
         * @return PostWithMissingRelationshipMethod[][]|Collection<_IH_PostWithMissingRelationshipMethod_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_PostWithMissingRelationshipMethod_QB whereId($value)
     * @method _IH_PostWithMissingRelationshipMethod_QB whereUserId($value)
     * @method _IH_PostWithMissingRelationshipMethod_QB whereTitle($value)
     * @method _IH_PostWithMissingRelationshipMethod_QB wherePostableId($value)
     * @method _IH_PostWithMissingRelationshipMethod_QB wherePostableType($value)
     * @method _IH_PostWithMissingRelationshipMethod_QB whereCreatedAt($value)
     * @method _IH_PostWithMissingRelationshipMethod_QB whereUpdatedAt($value)
     * @method PostWithMissingRelationshipMethod create(array $attributes = [])
     * @method PostWithMissingRelationshipMethod createOrFirst(array $attributes = [], array $values = [])
     * @method PostWithMissingRelationshipMethod createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_PostWithMissingRelationshipMethod_C|PostWithMissingRelationshipMethod[] cursor()
     * @method PostWithMissingRelationshipMethod[] eagerLoadRelations(array $models)
     * @method PostWithMissingRelationshipMethod|null|_IH_PostWithMissingRelationshipMethod_C|PostWithMissingRelationshipMethod[] find($id, array|string $columns = ['*'])
     * @method _IH_PostWithMissingRelationshipMethod_C|PostWithMissingRelationshipMethod[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method PostWithMissingRelationshipMethod|_IH_PostWithMissingRelationshipMethod_C|PostWithMissingRelationshipMethod[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method PostWithMissingRelationshipMethod|_IH_PostWithMissingRelationshipMethod_C|PostWithMissingRelationshipMethod[] findOrFail($id, array|string $columns = ['*'])
     * @method PostWithMissingRelationshipMethod|_IH_PostWithMissingRelationshipMethod_C|PostWithMissingRelationshipMethod[] findOrNew($id, array|string $columns = ['*'])
     * @method PostWithMissingRelationshipMethod first(array|string $columns = ['*'])
     * @method PostWithMissingRelationshipMethod firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method PostWithMissingRelationshipMethod firstOrCreate(array $attributes = [], array $values = [])
     * @method PostWithMissingRelationshipMethod firstOrFail(array|string $columns = ['*'])
     * @method PostWithMissingRelationshipMethod firstOrNew(array $attributes = [], array $values = [])
     * @method PostWithMissingRelationshipMethod firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method PostWithMissingRelationshipMethod forceCreate(array $attributes)
     * @method PostWithMissingRelationshipMethod forceCreateQuietly(array $attributes = [])
     * @method _IH_PostWithMissingRelationshipMethod_C|PostWithMissingRelationshipMethod[] fromQuery(string $query, array $bindings = [])
     * @method _IH_PostWithMissingRelationshipMethod_C|PostWithMissingRelationshipMethod[] get(array|string $columns = ['*'])
     * @method PostWithMissingRelationshipMethod getModel()
     * @method PostWithMissingRelationshipMethod[] getModels(array|string $columns = ['*'])
     * @method _IH_PostWithMissingRelationshipMethod_C|PostWithMissingRelationshipMethod[] hydrate(array $items)
     * @method _IH_PostWithMissingRelationshipMethod_C|PostWithMissingRelationshipMethod[] lazy(int $chunkSize = 1000)
     * @method _IH_PostWithMissingRelationshipMethod_C|PostWithMissingRelationshipMethod[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_PostWithMissingRelationshipMethod_C|PostWithMissingRelationshipMethod[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method PostWithMissingRelationshipMethod make(array $attributes = [])
     * @method PostWithMissingRelationshipMethod newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|PostWithMissingRelationshipMethod[]|_IH_PostWithMissingRelationshipMethod_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method PostWithMissingRelationshipMethod restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|PostWithMissingRelationshipMethod[]|_IH_PostWithMissingRelationshipMethod_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method PostWithMissingRelationshipMethod sole(array|string $columns = ['*'])
     * @method PostWithMissingRelationshipMethod updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_PostWithMissingRelationshipMethod_QB extends _BaseBuilder {}
    
    /**
     * @method PostWithStringCascade|null getOrPut($key, \Closure $value)
     * @method PostWithStringCascade|$this shift(int $count = 1)
     * @method PostWithStringCascade|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method PostWithStringCascade|$this pop(int $count = 1)
     * @method PostWithStringCascade|null pull($key, \Closure $default = null)
     * @method PostWithStringCascade|null last(callable|null $callback = null, \Closure $default = null)
     * @method PostWithStringCascade|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method PostWithStringCascade|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method PostWithStringCascade|null get($key, \Closure $default = null)
     * @method PostWithStringCascade|null first(callable|null $callback = null, \Closure $default = null)
     * @method PostWithStringCascade|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method PostWithStringCascade|null find($key, $default = null)
     * @method PostWithStringCascade[] all()
     */
    class _IH_PostWithStringCascade_C extends _BaseCollection {
        /**
         * @param int $size
         * @return PostWithStringCascade[][]|Collection<_IH_PostWithStringCascade_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_PostWithStringCascade_QB whereId($value)
     * @method _IH_PostWithStringCascade_QB whereUserId($value)
     * @method _IH_PostWithStringCascade_QB whereTitle($value)
     * @method _IH_PostWithStringCascade_QB wherePostableId($value)
     * @method _IH_PostWithStringCascade_QB wherePostableType($value)
     * @method _IH_PostWithStringCascade_QB whereCreatedAt($value)
     * @method _IH_PostWithStringCascade_QB whereUpdatedAt($value)
     * @method PostWithStringCascade create(array $attributes = [])
     * @method PostWithStringCascade createOrFirst(array $attributes = [], array $values = [])
     * @method PostWithStringCascade createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_PostWithStringCascade_C|PostWithStringCascade[] cursor()
     * @method PostWithStringCascade[] eagerLoadRelations(array $models)
     * @method PostWithStringCascade|null|_IH_PostWithStringCascade_C|PostWithStringCascade[] find($id, array|string $columns = ['*'])
     * @method _IH_PostWithStringCascade_C|PostWithStringCascade[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method PostWithStringCascade|_IH_PostWithStringCascade_C|PostWithStringCascade[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method PostWithStringCascade|_IH_PostWithStringCascade_C|PostWithStringCascade[] findOrFail($id, array|string $columns = ['*'])
     * @method PostWithStringCascade|_IH_PostWithStringCascade_C|PostWithStringCascade[] findOrNew($id, array|string $columns = ['*'])
     * @method PostWithStringCascade first(array|string $columns = ['*'])
     * @method PostWithStringCascade firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method PostWithStringCascade firstOrCreate(array $attributes = [], array $values = [])
     * @method PostWithStringCascade firstOrFail(array|string $columns = ['*'])
     * @method PostWithStringCascade firstOrNew(array $attributes = [], array $values = [])
     * @method PostWithStringCascade firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method PostWithStringCascade forceCreate(array $attributes)
     * @method PostWithStringCascade forceCreateQuietly(array $attributes = [])
     * @method _IH_PostWithStringCascade_C|PostWithStringCascade[] fromQuery(string $query, array $bindings = [])
     * @method _IH_PostWithStringCascade_C|PostWithStringCascade[] get(array|string $columns = ['*'])
     * @method PostWithStringCascade getModel()
     * @method PostWithStringCascade[] getModels(array|string $columns = ['*'])
     * @method _IH_PostWithStringCascade_C|PostWithStringCascade[] hydrate(array $items)
     * @method _IH_PostWithStringCascade_C|PostWithStringCascade[] lazy(int $chunkSize = 1000)
     * @method _IH_PostWithStringCascade_C|PostWithStringCascade[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_PostWithStringCascade_C|PostWithStringCascade[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method PostWithStringCascade make(array $attributes = [])
     * @method PostWithStringCascade newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|PostWithStringCascade[]|_IH_PostWithStringCascade_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method PostWithStringCascade restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|PostWithStringCascade[]|_IH_PostWithStringCascade_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method PostWithStringCascade sole(array|string $columns = ['*'])
     * @method PostWithStringCascade updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_PostWithStringCascade_QB extends _BaseBuilder {}
    
    /**
     * @method Post|null getOrPut($key, \Closure $value)
     * @method Post|$this shift(int $count = 1)
     * @method Post|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Post|$this pop(int $count = 1)
     * @method Post|null pull($key, \Closure $default = null)
     * @method Post|null last(callable|null $callback = null, \Closure $default = null)
     * @method Post|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Post|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Post|null get($key, \Closure $default = null)
     * @method Post|null first(callable|null $callback = null, \Closure $default = null)
     * @method Post|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Post|null find($key, $default = null)
     * @method Post[] all()
     */
    class _IH_Post_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Post[][]|Collection<_IH_Post_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Post_QB whereId($value)
     * @method _IH_Post_QB whereUserId($value)
     * @method _IH_Post_QB whereTitle($value)
     * @method _IH_Post_QB wherePostableId($value)
     * @method _IH_Post_QB wherePostableType($value)
     * @method _IH_Post_QB whereCreatedAt($value)
     * @method _IH_Post_QB whereUpdatedAt($value)
     * @method Post create(array $attributes = [])
     * @method Post createOrFirst(array $attributes = [], array $values = [])
     * @method Post createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_Post_C|Post[] cursor()
     * @method Post[] eagerLoadRelations(array $models)
     * @method Post|null|_IH_Post_C|Post[] find($id, array|string $columns = ['*'])
     * @method _IH_Post_C|Post[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Post|_IH_Post_C|Post[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Post|_IH_Post_C|Post[] findOrFail($id, array|string $columns = ['*'])
     * @method Post|_IH_Post_C|Post[] findOrNew($id, array|string $columns = ['*'])
     * @method Post first(array|string $columns = ['*'])
     * @method Post firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Post firstOrCreate(array $attributes = [], array $values = [])
     * @method Post firstOrFail(array|string $columns = ['*'])
     * @method Post firstOrNew(array $attributes = [], array $values = [])
     * @method Post firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Post forceCreate(array $attributes)
     * @method Post forceCreateQuietly(array $attributes = [])
     * @method _IH_Post_C|Post[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Post_C|Post[] get(array|string $columns = ['*'])
     * @method Post getModel()
     * @method Post[] getModels(array|string $columns = ['*'])
     * @method _IH_Post_C|Post[] hydrate(array $items)
     * @method _IH_Post_C|Post[] lazy(int $chunkSize = 1000)
     * @method _IH_Post_C|Post[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Post_C|Post[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Post make(array $attributes = [])
     * @method Post newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Post[]|_IH_Post_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method Post restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Post[]|_IH_Post_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Post sole(array|string $columns = ['*'])
     * @method Post updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Post_QB extends _BaseBuilder {}
}