<?php //6aca365e65df19da861288442996e74d
/** @noinspection all */

namespace Abbasudo\Purity\Tests\App\Models {

    use Abbasudo\Purity\Tests\App\Factories\ProductFactory;
    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\BelongsTo;
    use Illuminate\Database\Eloquent\Relations\BelongsToMany;
    use Illuminate\Database\Eloquent\Relations\HasMany;
    use Illuminate\Database\Eloquent\Relations\HasOne;
    use Illuminate\Database\Eloquent\Relations\MorphTo;
    use Illuminate\Database\Eloquent\Relations\MorphToMany;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\Abbasudo\Purity\Tests\App\Models\_IH_Author_C;
    use LaravelIdea\Helper\Abbasudo\Purity\Tests\App\Models\_IH_Author_QB;
    use LaravelIdea\Helper\Abbasudo\Purity\Tests\App\Models\_IH_Book_C;
    use LaravelIdea\Helper\Abbasudo\Purity\Tests\App\Models\_IH_Book_QB;
    use LaravelIdea\Helper\Abbasudo\Purity\Tests\App\Models\_IH_Comment_C;
    use LaravelIdea\Helper\Abbasudo\Purity\Tests\App\Models\_IH_Comment_QB;
    use LaravelIdea\Helper\Abbasudo\Purity\Tests\App\Models\_IH_Post_C;
    use LaravelIdea\Helper\Abbasudo\Purity\Tests\App\Models\_IH_Post_QB;
    use LaravelIdea\Helper\Abbasudo\Purity\Tests\App\Models\_IH_Product_C;
    use LaravelIdea\Helper\Abbasudo\Purity\Tests\App\Models\_IH_Product_QB;
    use LaravelIdea\Helper\Abbasudo\Purity\Tests\App\Models\_IH_Project_C;
    use LaravelIdea\Helper\Abbasudo\Purity\Tests\App\Models\_IH_Project_QB;
    use LaravelIdea\Helper\Abbasudo\Purity\Tests\App\Models\_IH_Tag_C;
    use LaravelIdea\Helper\Abbasudo\Purity\Tests\App\Models\_IH_Tag_QB;
    use LaravelIdea\Helper\Abbasudo\Purity\Tests\App\Models\_IH_User_C;
    use LaravelIdea\Helper\Abbasudo\Purity\Tests\App\Models\_IH_User_QB;
    
    /**
     * @property int $id
     * @property string $name
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property _IH_Book_C|Book[] $books
     * @property-read int $books_count
     * @method HasMany|_IH_Book_QB books()
     * @method static _IH_Author_QB onWriteConnection()
     * @method _IH_Author_QB newQuery()
     * @method static _IH_Author_QB on(null|string $connection = null)
     * @method static _IH_Author_QB query()
     * @method static _IH_Author_QB with(array|string $relations)
     * @method _IH_Author_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Author_C|Author[] all()
     * @foreignLinks id,\Abbasudo\Purity\Tests\App\Models\Book,author_id
     * @mixin _IH_Author_QB
     */
    class Author extends Model {}
    
    /**
     * @property int $id
     * @property int|null $author_id
     * @property string $name
     * @property string $description
     * @property int|null $product_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property Author|null $author
     * @method BelongsTo|_IH_Author_QB author()
     * @property _IH_Post_C|Post[] $posts
     * @property-read int $posts_count
     * @method MorphToMany|_IH_Post_QB posts()
     * @method static _IH_Book_QB onWriteConnection()
     * @method _IH_Book_QB newQuery()
     * @method static _IH_Book_QB on(null|string $connection = null)
     * @method static _IH_Book_QB query()
     * @method static _IH_Book_QB with(array|string $relations)
     * @method _IH_Book_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Book_C|Book[] all()
     * @ownLinks author_id,\Tests\Entities\Author,id|product_id,\Abbasudo\Purity\Tests\App\Models\Product,id
     * @mixin _IH_Book_QB
     */
    class Book extends Model {}
    
    /**
     * @property int $id
     * @property int|null $post_id
     * @property string $content
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_Comment_QB onWriteConnection()
     * @method _IH_Comment_QB newQuery()
     * @method static _IH_Comment_QB on(null|string $connection = null)
     * @method static _IH_Comment_QB query()
     * @method static _IH_Comment_QB with(array|string $relations)
     * @method _IH_Comment_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Comment_C|Comment[] all()
     * @ownLinks post_id,\Tests\Entities\ChildPost,id
     * @mixin _IH_Comment_QB
     */
    class Comment extends Model {}
    
    /**
     * @property int $id
     * @property int|null $user_id
     * @property string|null $title
     * @property int|null $postable_id
     * @property string|null $postable_type
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property _IH_Comment_C|Comment[] $comments
     * @property-read int $comments_count
     * @method HasMany|_IH_Comment_QB comments()
     * @property Model $postable
     * @method MorphTo postable()
     * @property _IH_Tag_C|Tag[] $tags
     * @property-read int $tags_count
     * @method BelongsToMany|_IH_Tag_QB tags()
     * @property User|null $user
     * @method BelongsTo|_IH_User_QB user()
     * @method static _IH_Post_QB onWriteConnection()
     * @method _IH_Post_QB newQuery()
     * @method static _IH_Post_QB on(null|string $connection = null)
     * @method static _IH_Post_QB query()
     * @method static _IH_Post_QB with(array|string $relations)
     * @method _IH_Post_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Post_C|Post[] all()
     * @ownLinks user_id,\App\Models\User,id
     * @foreignLinks id,\Tests\Entities\Comment,post_id
     * @mixin _IH_Post_QB
     */
    class Post extends Model {}
    
    /**
     * @property int $id
     * @property string $name
     * @property string|null $description
     * @property float $price
     * @property float $rate
     * @property bool $is_available
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property Book $book
     * @method HasOne|_IH_Book_QB book()
     * @property _IH_Post_C|Post[] $posts
     * @property-read int $posts_count
     * @method MorphToMany|_IH_Post_QB posts()
     * @method static _IH_Product_QB onWriteConnection()
     * @method _IH_Product_QB newQuery()
     * @method static _IH_Product_QB on(null|string $connection = null)
     * @method static _IH_Product_QB query()
     * @method static _IH_Product_QB with(array|string $relations)
     * @method _IH_Product_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Product_C|Product[] all()
     * @foreignLinks id,\Abbasudo\Purity\Tests\App\Models\Book,product_id
     * @mixin _IH_Product_QB
     * @method static ProductFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class Product extends Model {}
    
    /**
     * @property int $id
     * @property int|null $user_id
     * @property string $name
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property User|null $user
     * @method BelongsTo|_IH_User_QB user()
     * @method static _IH_Project_QB onWriteConnection()
     * @method _IH_Project_QB newQuery()
     * @method static _IH_Project_QB on(null|string $connection = null)
     * @method static _IH_Project_QB query()
     * @method static _IH_Project_QB with(array|string $relations)
     * @method _IH_Project_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Project_C|Project[] all()
     * @ownLinks user_id,\App\Models\User,id
     * @mixin _IH_Project_QB
     */
    class Project extends Model {}
    
    /**
     * @property int $id
     * @property int|null $user_id
     * @property string $name
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property _IH_Comment_C|Comment[] $comments
     * @property-read int $comments_count
     * @method BelongsToMany|_IH_Comment_QB comments()
     * @property _IH_Post_C|Post[] $posts
     * @property-read int $posts_count
     * @method BelongsToMany|_IH_Post_QB posts()
     * @method static _IH_Tag_QB onWriteConnection()
     * @method _IH_Tag_QB newQuery()
     * @method static _IH_Tag_QB on(null|string $connection = null)
     * @method static _IH_Tag_QB query()
     * @method static _IH_Tag_QB with(array|string $relations)
     * @method _IH_Tag_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Tag_C|Tag[] all()
     * @ownLinks user_id,\App\Models\User,id
     * @foreignLinks 
     * @mixin _IH_Tag_QB
     */
    class Tag extends Model {}
    
    /**
     * @property int $id
     * @property int|null $agency_id
     * @property string $name
     * @property string $email
     * @property string $mobile_no
     * @property Carbon|null $email_verified_at
     * @property string $password
     * @property string $gender
     * @property string $role
     * @property Carbon|null $last_login_at
     * @property bool $is_active
     * @property string|null $profile_picture
     * @property string|null $remember_token
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property Carbon|null $deleted_at
     * @property _IH_Post_C|Post[] $post
     * @property-read int $post_count
     * @method HasMany|_IH_Post_QB post()
     * @property Project $project
     * @method HasOne|_IH_Project_QB project()
     * @method static _IH_User_QB onWriteConnection()
     * @method _IH_User_QB newQuery()
     * @method static _IH_User_QB on(null|string $connection = null)
     * @method static _IH_User_QB query()
     * @method static _IH_User_QB with(array|string $relations)
     * @method _IH_User_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_User_C|User[] all()
     * @ownLinks agency_id,\App\Models\Agency,id
     * @foreignLinks id,\App\Models\Worker,user_id|id,\App\Models\Hiring,user_id|id,\App\Models\Job,user_id|id,\App\Models\Rating,rated_by_id|id,\App\Models\Rating,rated_to_id|id,\App\Models\Hirer,user_id
     * @mixin _IH_User_QB
     */
    class User extends Model {}
}