<?php //b736321b27d85d05b25c149bbb2748a0
/** @noinspection all */

namespace Tests\Entities {

    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\BelongsTo;
    use Illuminate\Database\Eloquent\Relations\BelongsToMany;
    use Illuminate\Database\Eloquent\Relations\HasMany;
    use Illuminate\Database\Eloquent\Relations\HasOne;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\Tests\Entities\_IH_Author_C;
    use LaravelIdea\Helper\Tests\Entities\_IH_Author_QB;
    use LaravelIdea\Helper\Tests\Entities\_IH_ChildPost_C;
    use LaravelIdea\Helper\Tests\Entities\_IH_ChildPost_QB;
    use LaravelIdea\Helper\Tests\Entities\_IH_Comment_C;
    use LaravelIdea\Helper\Tests\Entities\_IH_Comment_QB;
    use LaravelIdea\Helper\Tests\Entities\_IH_InvalidRelationshipPost_C;
    use LaravelIdea\Helper\Tests\Entities\_IH_InvalidRelationshipPost_QB;
    use LaravelIdea\Helper\Tests\Entities\_IH_NonSoftDeletingPost_C;
    use LaravelIdea\Helper\Tests\Entities\_IH_NonSoftDeletingPost_QB;
    use LaravelIdea\Helper\Tests\Entities\_IH_PostType_C;
    use LaravelIdea\Helper\Tests\Entities\_IH_PostType_QB;
    use LaravelIdea\Helper\Tests\Entities\_IH_PostWithMissingRelationshipMethod_C;
    use LaravelIdea\Helper\Tests\Entities\_IH_PostWithMissingRelationshipMethod_QB;
    use LaravelIdea\Helper\Tests\Entities\_IH_PostWithStringCascade_C;
    use LaravelIdea\Helper\Tests\Entities\_IH_PostWithStringCascade_QB;
    use LaravelIdea\Helper\Tests\Entities\_IH_Post_C;
    use LaravelIdea\Helper\Tests\Entities\_IH_Post_QB;
    
    /**
     * @property int $id
     * @property string $name
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property _IH_Post_C|Post[] $posts
     * @property-read int $posts_count
     * @method HasMany|_IH_Post_QB posts()
     * @property _IH_PostType_C|PostType[] $posttypes
     * @property-read int $posttypes_count
     * @method BelongsToMany|_IH_PostType_QB posttypes()
     * @method static _IH_Author_QB onWriteConnection()
     * @method _IH_Author_QB newQuery()
     * @method static _IH_Author_QB on(null|string $connection = null)
     * @method static _IH_Author_QB query()
     * @method static _IH_Author_QB with(array|string $relations)
     * @method _IH_Author_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Author_C|Author[] all()
     * @foreignLinks id,\Abbasudo\Purity\Tests\App\Models\Book,author_id
     * @mixin _IH_Author_QB
     */
    class Author extends Model {}
    
    /**
     * @property int $id
     * @property int|null $user_id
     * @property string|null $title
     * @property int|null $postable_id
     * @property string|null $postable_type
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property _IH_Comment_C|Comment[] $comments
     * @property-read int $comments_count
     * @method HasMany|_IH_Comment_QB comments()
     * @property PostType $postType
     * @method HasOne|_IH_PostType_QB postType()
     * @method static _IH_ChildPost_QB onWriteConnection()
     * @method _IH_ChildPost_QB newQuery()
     * @method static _IH_ChildPost_QB on(null|string $connection = null)
     * @method static _IH_ChildPost_QB query()
     * @method static _IH_ChildPost_QB with(array|string $relations)
     * @method _IH_ChildPost_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_ChildPost_C|ChildPost[] all()
     * @ownLinks user_id,\App\Models\User,id
     * @foreignLinks id,\Tests\Entities\Comment,post_id
     * @mixin _IH_ChildPost_QB
     */
    class ChildPost extends Model {}
    
    /**
     * @property int $id
     * @property int|null $post_id
     * @property string $content
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property Post|null $post
     * @method BelongsTo|_IH_Post_QB post()
     * @method static _IH_Comment_QB onWriteConnection()
     * @method _IH_Comment_QB newQuery()
     * @method static _IH_Comment_QB on(null|string $connection = null)
     * @method static _IH_Comment_QB query()
     * @method static _IH_Comment_QB with(array|string $relations)
     * @method _IH_Comment_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Comment_C|Comment[] all()
     * @ownLinks post_id,\Tests\Entities\ChildPost,id
     * @mixin _IH_Comment_QB
     */
    class Comment extends Model {}
    
    /**
     * @property int $id
     * @property int|null $user_id
     * @property string|null $title
     * @property int|null $postable_id
     * @property string|null $postable_type
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property _IH_Comment_C|Comment[] $comments
     * @property-read int $comments_count
     * @method HasMany|_IH_Comment_QB comments()
     * @method static _IH_InvalidRelationshipPost_QB onWriteConnection()
     * @method _IH_InvalidRelationshipPost_QB newQuery()
     * @method static _IH_InvalidRelationshipPost_QB on(null|string $connection = null)
     * @method static _IH_InvalidRelationshipPost_QB query()
     * @method static _IH_InvalidRelationshipPost_QB with(array|string $relations)
     * @method _IH_InvalidRelationshipPost_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_InvalidRelationshipPost_C|InvalidRelationshipPost[] all()
     * @ownLinks user_id,\App\Models\User,id
     * @foreignLinks id,\Tests\Entities\Comment,post_id
     * @mixin _IH_InvalidRelationshipPost_QB
     */
    class InvalidRelationshipPost extends Model {}
    
    /**
     * @property int $id
     * @property int|null $user_id
     * @property string|null $title
     * @property int|null $postable_id
     * @property string|null $postable_type
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property _IH_Comment_C|Comment[] $comments
     * @property-read int $comments_count
     * @method HasMany|_IH_Comment_QB comments()
     * @method static _IH_NonSoftDeletingPost_QB onWriteConnection()
     * @method _IH_NonSoftDeletingPost_QB newQuery()
     * @method static _IH_NonSoftDeletingPost_QB on(null|string $connection = null)
     * @method static _IH_NonSoftDeletingPost_QB query()
     * @method static _IH_NonSoftDeletingPost_QB with(array|string $relations)
     * @method _IH_NonSoftDeletingPost_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_NonSoftDeletingPost_C|NonSoftDeletingPost[] all()
     * @ownLinks user_id,\App\Models\User,id
     * @foreignLinks id,\Tests\Entities\Comment,post_id
     * @mixin _IH_NonSoftDeletingPost_QB
     */
    class NonSoftDeletingPost extends Model {}
    
    /**
     * @property int $id
     * @property int|null $user_id
     * @property string|null $title
     * @property int|null $postable_id
     * @property string|null $postable_type
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property _IH_Comment_C|Comment[] $comments
     * @property-read int $comments_count
     * @method HasMany|_IH_Comment_QB comments()
     * @property PostType $postType
     * @method HasOne|_IH_PostType_QB postType()
     * @method static _IH_Post_QB onWriteConnection()
     * @method _IH_Post_QB newQuery()
     * @method static _IH_Post_QB on(null|string $connection = null)
     * @method static _IH_Post_QB query()
     * @method static _IH_Post_QB with(array|string $relations)
     * @method _IH_Post_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Post_C|Post[] all()
     * @ownLinks user_id,\App\Models\User,id
     * @foreignLinks id,\Tests\Entities\Comment,post_id
     * @mixin _IH_Post_QB
     */
    class Post extends Model {}
    
    /**
     * @property _IH_Author_C|Author[] $authors
     * @property-read int $authors_count
     * @method BelongsToMany|_IH_Author_QB authors()
     * @method static _IH_PostType_QB onWriteConnection()
     * @method _IH_PostType_QB newQuery()
     * @method static _IH_PostType_QB on(null|string $connection = null)
     * @method static _IH_PostType_QB query()
     * @method static _IH_PostType_QB with(array|string $relations)
     * @method _IH_PostType_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_PostType_C|PostType[] all()
     * @mixin _IH_PostType_QB
     */
    class PostType extends Model {}
    
    /**
     * @property int $id
     * @property int|null $user_id
     * @property string|null $title
     * @property int|null $postable_id
     * @property string|null $postable_type
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_PostWithMissingRelationshipMethod_QB onWriteConnection()
     * @method _IH_PostWithMissingRelationshipMethod_QB newQuery()
     * @method static _IH_PostWithMissingRelationshipMethod_QB on(null|string $connection = null)
     * @method static _IH_PostWithMissingRelationshipMethod_QB query()
     * @method static _IH_PostWithMissingRelationshipMethod_QB with(array|string $relations)
     * @method _IH_PostWithMissingRelationshipMethod_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_PostWithMissingRelationshipMethod_C|PostWithMissingRelationshipMethod[] all()
     * @ownLinks user_id,\App\Models\User,id
     * @foreignLinks id,\Tests\Entities\Comment,post_id
     * @mixin _IH_PostWithMissingRelationshipMethod_QB
     */
    class PostWithMissingRelationshipMethod extends Model {}
    
    /**
     * @property int $id
     * @property int|null $user_id
     * @property string|null $title
     * @property int|null $postable_id
     * @property string|null $postable_type
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property _IH_Comment_C|Comment[] $comments
     * @property-read int $comments_count
     * @method HasMany|_IH_Comment_QB comments()
     * @method static _IH_PostWithStringCascade_QB onWriteConnection()
     * @method _IH_PostWithStringCascade_QB newQuery()
     * @method static _IH_PostWithStringCascade_QB on(null|string $connection = null)
     * @method static _IH_PostWithStringCascade_QB query()
     * @method static _IH_PostWithStringCascade_QB with(array|string $relations)
     * @method _IH_PostWithStringCascade_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_PostWithStringCascade_C|PostWithStringCascade[] all()
     * @ownLinks user_id,\App\Models\User,id
     * @foreignLinks id,\Tests\Entities\Comment,post_id
     * @mixin _IH_PostWithStringCascade_QB
     */
    class PostWithStringCascade extends Model {}
}