<?php //f33d4a22df36c2f349c36885b1c7531e
/** @noinspection all */

namespace App\Models {

    use Database\Factories\AgencyFactory;
    use Database\Factories\HirerFactory;
    use Database\Factories\HiringFactory;
    use Database\Factories\JobFactory;
    use Database\Factories\LanguageFactory;
    use Database\Factories\PartnershipFactory;
    use Database\Factories\RatingFactory;
    use Database\Factories\ServiceFactory;
    use Database\Factories\SkillFactory;
    use Database\Factories\UserFactory;
    use Database\Factories\WorkerFactory;
    use Database\Factories\WorkHourFactory;
    use Database\Factories\WorkTypeFactory;
    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\BelongsTo;
    use Illuminate\Database\Eloquent\Relations\BelongsToMany;
    use Illuminate\Database\Eloquent\Relations\HasMany;
    use Illuminate\Database\Eloquent\Relations\HasOne;
    use Illuminate\Database\Eloquent\Relations\MorphToMany;
    use Illuminate\Notifications\DatabaseNotification;
    use Illuminate\Notifications\DatabaseNotificationCollection;
    use Illuminate\Support\Carbon;
    use Laravel\Sanctum\PersonalAccessToken;
    use LaravelIdea\Helper\App\Models\_IH_Agency_C;
    use LaravelIdea\Helper\App\Models\_IH_Agency_QB;
    use LaravelIdea\Helper\App\Models\_IH_Hirer_C;
    use LaravelIdea\Helper\App\Models\_IH_Hirer_QB;
    use LaravelIdea\Helper\App\Models\_IH_Hiring_C;
    use LaravelIdea\Helper\App\Models\_IH_Hiring_QB;
    use LaravelIdea\Helper\App\Models\_IH_Job_C;
    use LaravelIdea\Helper\App\Models\_IH_Job_QB;
    use LaravelIdea\Helper\App\Models\_IH_Language_C;
    use LaravelIdea\Helper\App\Models\_IH_Language_QB;
    use LaravelIdea\Helper\App\Models\_IH_Partnership_C;
    use LaravelIdea\Helper\App\Models\_IH_Partnership_QB;
    use LaravelIdea\Helper\App\Models\_IH_Rating_C;
    use LaravelIdea\Helper\App\Models\_IH_Rating_QB;
    use LaravelIdea\Helper\App\Models\_IH_Service_C;
    use LaravelIdea\Helper\App\Models\_IH_Service_QB;
    use LaravelIdea\Helper\App\Models\_IH_Skill_C;
    use LaravelIdea\Helper\App\Models\_IH_Skill_QB;
    use LaravelIdea\Helper\App\Models\_IH_User_C;
    use LaravelIdea\Helper\App\Models\_IH_User_QB;
    use LaravelIdea\Helper\App\Models\_IH_Worker_C;
    use LaravelIdea\Helper\App\Models\_IH_Worker_QB;
    use LaravelIdea\Helper\App\Models\_IH_WorkHour_C;
    use LaravelIdea\Helper\App\Models\_IH_WorkHour_QB;
    use LaravelIdea\Helper\App\Models\_IH_WorkType_C;
    use LaravelIdea\Helper\App\Models\_IH_WorkType_QB;
    use LaravelIdea\Helper\Illuminate\Notifications\_IH_DatabaseNotification_QB;
    use LaravelIdea\Helper\Laravel\Sanctum\_IH_PersonalAccessToken_C;
    use LaravelIdea\Helper\Laravel\Sanctum\_IH_PersonalAccessToken_QB;
    
    /**
     * @property int $id
     * @property string $name
     * @property string|null $license_no
     * @property string|null $gst_no
     * @property string $address
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property Carbon|null $deleted_at
     * @property _IH_Partnership_C|Partnership[] $partnerships
     * @property-read int $partnerships_count
     * @method HasMany|_IH_Partnership_QB partnerships()
     * @property _IH_User_C|User[] $users
     * @property-read int $users_count
     * @method HasMany|_IH_User_QB users()
     * @method static _IH_Agency_QB onWriteConnection()
     * @method _IH_Agency_QB newQuery()
     * @method static _IH_Agency_QB on(null|string $connection = null)
     * @method static _IH_Agency_QB query()
     * @method static _IH_Agency_QB with(array|string $relations)
     * @method _IH_Agency_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Agency_C|Agency[] all()
     * @foreignLinks id,\App\Models\User,agency_id|id,\App\Models\Partnership,agency_id|id,\App\Models\Worker,agency_id
     * @mixin _IH_Agency_QB
     * @method static AgencyFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class Agency extends Model {}
    
    /**
     * @property int $id
     * @property int $user_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property Carbon|null $deleted_at
     * @property User $user
     * @method BelongsTo|_IH_User_QB user()
     * @method static _IH_Hirer_QB onWriteConnection()
     * @method _IH_Hirer_QB newQuery()
     * @method static _IH_Hirer_QB on(null|string $connection = null)
     * @method static _IH_Hirer_QB query()
     * @method static _IH_Hirer_QB with(array|string $relations)
     * @method _IH_Hirer_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Hirer_C|Hirer[] all()
     * @ownLinks user_id,\App\Models\User,id
     * @mixin _IH_Hirer_QB
     * @method static HirerFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class Hirer extends Model {}
    
    /**
     * @property int $id
     * @property int $user_id
     * @property int $worker_id
     * @property Carbon|null $hired_date
     * @property bool $is_unlocked
     * @property bool $is_shortlisted
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property User $user
     * @method BelongsTo|_IH_User_QB user()
     * @property Worker $worker
     * @method BelongsTo|_IH_Worker_QB worker()
     * @method static _IH_Hiring_QB onWriteConnection()
     * @method _IH_Hiring_QB newQuery()
     * @method static _IH_Hiring_QB on(null|string $connection = null)
     * @method static _IH_Hiring_QB query()
     * @method static _IH_Hiring_QB with(array|string $relations)
     * @method _IH_Hiring_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Hiring_C|Hiring[] all()
     * @ownLinks user_id,\App\Models\User,id|worker_id,\App\Models\Worker,id
     * @mixin _IH_Hiring_QB
     * @method static HiringFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class Hiring extends Model {}
    
    /**
     * @property int $id
     * @property int $user_id
     * @property int $work_type_id
     * @property int $work_hour_id
     * @property string $title
     * @property string $description
     * @property string $location
     * @property string|null $address
     * @property string $type
     * @property bool $status
     * @property Carbon $expiry_date
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property Carbon|null $deleted_at
     * @property _IH_User_C|User[] $applicants
     * @property-read int $applicants_count
     * @method BelongsToMany|_IH_User_QB applicants()
     * @property User $employer
     * @method BelongsTo|_IH_User_QB employer()
     * @property _IH_Rating_C|Rating[] $ratings
     * @property-read int $ratings_count
     * @method HasMany|_IH_Rating_QB ratings()
     * @property WorkHour $workHour
     * @method BelongsTo|_IH_WorkHour_QB workHour()
     * @property WorkType $workType
     * @method BelongsTo|_IH_WorkType_QB workType()
     * @method static _IH_Job_QB onWriteConnection()
     * @method _IH_Job_QB newQuery()
     * @method static _IH_Job_QB on(null|string $connection = null)
     * @method static _IH_Job_QB query()
     * @method static _IH_Job_QB with(array|string $relations)
     * @method _IH_Job_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Job_C|Job[] all()
     * @ownLinks user_id,\App\Models\User,id|work_type_id,\App\Models\WorkType,id|work_hour_id,\App\Models\WorkHour,id
     * @foreignLinks id,\App\Models\Rating,job_id
     * @mixin _IH_Job_QB
     * @method static JobFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class Job extends Model {}
    
    /**
     * @property int $id
     * @property string $name
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_Language_QB onWriteConnection()
     * @method _IH_Language_QB newQuery()
     * @method static _IH_Language_QB on(null|string $connection = null)
     * @method static _IH_Language_QB query()
     * @method static _IH_Language_QB with(array|string $relations)
     * @method _IH_Language_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Language_C|Language[] all()
     * @foreignLinks 
     * @mixin _IH_Language_QB
     * @method static LanguageFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class Language extends Model {}
    
    /**
     * @property int $id
     * @property int $agency_id
     * @property Carbon $start_date
     * @property Carbon|null $end_date
     * @property bool $is_active
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property Carbon|null $deleted_at
     * @property Agency $agency
     * @method BelongsTo|_IH_Agency_QB agency()
     * @method static _IH_Partnership_QB onWriteConnection()
     * @method _IH_Partnership_QB newQuery()
     * @method static _IH_Partnership_QB on(null|string $connection = null)
     * @method static _IH_Partnership_QB query()
     * @method static _IH_Partnership_QB with(array|string $relations)
     * @method _IH_Partnership_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Partnership_C|Partnership[] all()
     * @ownLinks agency_id,\App\Models\Agency,id
     * @mixin _IH_Partnership_QB
     * @method static PartnershipFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class Partnership extends Model {}
    
    /**
     * @property int $id
     * @property int $rated_by_id
     * @property int $rated_to_id
     * @property int|null $job_id
     * @property float $value
     * @property string|null $description
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property Carbon|null $deleted_at
     * @property Job|null $job
     * @method BelongsTo|_IH_Job_QB job()
     * @property User $ratedBy
     * @method BelongsTo|_IH_User_QB ratedBy()
     * @property User $ratedTo
     * @method BelongsTo|_IH_User_QB ratedTo()
     * @method static _IH_Rating_QB onWriteConnection()
     * @method _IH_Rating_QB newQuery()
     * @method static _IH_Rating_QB on(null|string $connection = null)
     * @method static _IH_Rating_QB query()
     * @method static _IH_Rating_QB with(array|string $relations)
     * @method _IH_Rating_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Rating_C|Rating[] all()
     * @ownLinks rated_by_id,\App\Models\User,id|rated_to_id,\App\Models\User,id|job_id,\App\Models\Job,id
     * @mixin _IH_Rating_QB
     * @method static RatingFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class Rating extends Model {}
    
    /**
     * @property int $id
     * @property string $name
     * @property string $description
     * @property float $fees
     * @property Carbon $timeline
     * @property bool $is_active
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property Carbon|null $deleted_at
     * @property _IH_User_C|User[] $users
     * @property-read int $users_count
     * @method BelongsToMany|_IH_User_QB users()
     * @method static _IH_Service_QB onWriteConnection()
     * @method _IH_Service_QB newQuery()
     * @method static _IH_Service_QB on(null|string $connection = null)
     * @method static _IH_Service_QB query()
     * @method static _IH_Service_QB with(array|string $relations)
     * @method _IH_Service_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Service_C|Service[] all()
     * @foreignLinks 
     * @mixin _IH_Service_QB
     * @method static ServiceFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class Service extends Model {}
    
    /**
     * @property int $id
     * @property string $name
     * @property string $description
     * @property string|null $icon
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property _IH_WorkType_C|WorkType[] $workTypes
     * @property-read int $work_types_count
     * @method BelongsToMany|_IH_WorkType_QB workTypes()
     * @method static _IH_Skill_QB onWriteConnection()
     * @method _IH_Skill_QB newQuery()
     * @method static _IH_Skill_QB on(null|string $connection = null)
     * @method static _IH_Skill_QB query()
     * @method static _IH_Skill_QB with(array|string $relations)
     * @method _IH_Skill_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Skill_C|Skill[] all()
     * @foreignLinks 
     * @mixin _IH_Skill_QB
     * @method static SkillFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class Skill extends Model {}
    
    /**
     * @property int $id
     * @property int|null $agency_id
     * @property string $name
     * @property string $email
     * @property string $mobile_no
     * @property Carbon|null $email_verified_at
     * @property mixed $password
     * @property string $gender
     * @property string $role
     * @property Carbon|null $last_login_at
     * @property bool $is_active
     * @property string|null $profile_picture
     * @property string|null $remember_token
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property Carbon|null $deleted_at
     * @property Agency|null $agency
     * @method BelongsTo|_IH_Agency_QB agency()
     * @property _IH_Job_C|Job[] $appliedJobs
     * @property-read int $applied_jobs_count
     * @method BelongsToMany|_IH_Job_QB appliedJobs()
     * @property Hirer $hirer
     * @method HasOne|_IH_Hirer_QB hirer()
     * @property _IH_Hiring_C|Hiring[] $hirings
     * @property-read int $hirings_count
     * @method HasMany|_IH_Hiring_QB hirings()
     * @property _IH_Job_C|Job[] $jobs
     * @property-read int $jobs_count
     * @method HasMany|_IH_Job_QB jobs()
     * @property DatabaseNotificationCollection|DatabaseNotification[] $notifications
     * @property-read int $notifications_count
     * @method MorphToMany|_IH_DatabaseNotification_QB notifications()
     * @property DatabaseNotificationCollection|DatabaseNotification[] $readNotifications
     * @property-read int $read_notifications_count
     * @method MorphToMany|_IH_DatabaseNotification_QB readNotifications()
     * @property _IH_Service_C|Service[] $services
     * @property-read int $services_count
     * @method BelongsToMany|_IH_Service_QB services()
     * @property _IH_PersonalAccessToken_C|PersonalAccessToken[] $tokens
     * @property-read int $tokens_count
     * @method MorphToMany|_IH_PersonalAccessToken_QB tokens()
     * @property DatabaseNotificationCollection|DatabaseNotification[] $unreadNotifications
     * @property-read int $unread_notifications_count
     * @method MorphToMany|_IH_DatabaseNotification_QB unreadNotifications()
     * @property Worker $worker
     * @method HasOne|_IH_Worker_QB worker()
     * @method static _IH_User_QB onWriteConnection()
     * @method _IH_User_QB newQuery()
     * @method static _IH_User_QB on(null|string $connection = null)
     * @method static _IH_User_QB query()
     * @method static _IH_User_QB with(array|string $relations)
     * @method _IH_User_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_User_C|User[] all()
     * @ownLinks agency_id,\App\Models\Agency,id
     * @foreignLinks id,\App\Models\Worker,user_id|id,\App\Models\Hiring,user_id|id,\App\Models\Job,user_id|id,\App\Models\Rating,rated_by_id|id,\App\Models\Rating,rated_to_id|id,\App\Models\Hirer,user_id
     * @mixin _IH_User_QB
     * @method static UserFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class User extends Model {}
    
    /**
     * @property int $id
     * @property string $name
     * @property int $hours
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_WorkHour_QB onWriteConnection()
     * @method _IH_WorkHour_QB newQuery()
     * @method static _IH_WorkHour_QB on(null|string $connection = null)
     * @method static _IH_WorkHour_QB query()
     * @method static _IH_WorkHour_QB with(array|string $relations)
     * @method _IH_WorkHour_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_WorkHour_C|WorkHour[] all()
     * @foreignLinks id,\App\Models\Job,work_hour_id
     * @mixin _IH_WorkHour_QB
     * @method static WorkHourFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class WorkHour extends Model {}
    
    /**
     * @property int $id
     * @property string $name
     * @property string $description
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property _IH_Skill_C|Skill[] $skills
     * @property-read int $skills_count
     * @method BelongsToMany|_IH_Skill_QB skills()
     * @method static _IH_WorkType_QB onWriteConnection()
     * @method _IH_WorkType_QB newQuery()
     * @method static _IH_WorkType_QB on(null|string $connection = null)
     * @method static _IH_WorkType_QB query()
     * @method static _IH_WorkType_QB with(array|string $relations)
     * @method _IH_WorkType_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_WorkType_C|WorkType[] all()
     * @foreignLinks id,\App\Models\Worker,work_type_id|id,\App\Models\Job,work_type_id
     * @mixin _IH_WorkType_QB
     * @method static WorkTypeFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class WorkType extends Model {}
    
    /**
     * @property int $id
     * @property int $user_id
     * @property int $work_type_id
     * @property int|null $agency_id
     * @property int|null $age
     * @property string|null $address
     * @property string|null $country
     * @property string|null $city
     * @property int $pincode
     * @property string|null $reporting_location
     * @property float $experience
     * @property int $credits
     * @property bool $is_visible
     * @property string $religion
     * @property string $marital_status
     * @property string $cook_type
     * @property string|null $aadhar_front
     * @property string|null $aadhar_back
     * @property string|null $pan_card
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property Carbon|null $deleted_at
     * @property Agency|null $agency
     * @method BelongsTo|_IH_Agency_QB agency()
     * @property _IH_Language_C|Language[] $languages
     * @property-read int $languages_count
     * @method BelongsToMany|_IH_Language_QB languages()
     * @property _IH_Skill_C|Skill[] $skills
     * @property-read int $skills_count
     * @method BelongsToMany|_IH_Skill_QB skills()
     * @property User $user
     * @method BelongsTo|_IH_User_QB user()
     * @property _IH_WorkHour_C|WorkHour[] $workHours
     * @property-read int $work_hours_count
     * @method BelongsToMany|_IH_WorkHour_QB workHours()
     * @property WorkType $workType
     * @method BelongsTo|_IH_WorkType_QB workType()
     * @method static _IH_Worker_QB onWriteConnection()
     * @method _IH_Worker_QB newQuery()
     * @method static _IH_Worker_QB on(null|string $connection = null)
     * @method static _IH_Worker_QB query()
     * @method static _IH_Worker_QB with(array|string $relations)
     * @method _IH_Worker_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Worker_C|Worker[] all()
     * @ownLinks user_id,\App\Models\User,id|work_type_id,\App\Models\WorkType,id|agency_id,\App\Models\Agency,id
     * @foreignLinks id,\App\Models\Hiring,worker_id
     * @mixin _IH_Worker_QB
     * @method static WorkerFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class Worker extends Model {}
}